local VERSION = tonumber(("$Revision: 70547 $"):match("%d+"))

Parrot = Rock:NewAddon("Parrot", "LibRockDB-1.0", "LibRockConsole-1.0", "LibParser-4.0", "LibRockModuleCore-1.0", "LibRockEvent-1.0", "LibRockTimer-1.0", "LibRockHook-1.0", "LibRockConfig-1.0")
local Parrot, self = Parrot, Parrot
Parrot.version = "1.0r" .. VERSION
Parrot.revision = VERSION
Parrot.date = ("$Date: 2008-04-19 22:01:25 -0400 (Sat, 19 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")

-- #AUTODOC_NAMESPACE Parrot

local _G = _G

local localeTables = {}

----------------------------------
--    Translate add start here     --
----------------------------------

--zhCN Translate from Lostcup
--Add and Mod by Ananhaid 4/18th
if GetLocale() == "zhCN" then localeTables = {
	["Parrot"] = {
		["Parrot"] = "Parrot",
		["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."] = "绝妙的战斗记录指示器。",
		["Inherit"] = "继承",
		["Parrot Configuration"] = "Parrot 配置",
		["Waterfall-1.0 is required to access the GUI."] = "需要 Waterfall-1.0 库才能打开 GUI。",
		["General"] = "通用",
		["General settings"] = "通用设置",
		["Game damage"] = "默认伤害",
		["Whether to show damage over the enemy's heads."] = "是否在敌人头上显示伤害值。",
		["Game healing"] = "默认治疗",
		["Whether to show healing over the enemy's heads."] = "是否在敌人头上显示治疗量。",
		["|cffffff00Left-Click|r to change settings with a nice GUI configuration."] = "|cffffff00左键点击|r以 GUI 配置方式改变设置。",
		["|cffffff00Right-Click|r to change settings with a drop-down menu."] = "|cffffff00右键点击|r以下拉菜单方式改变设置。",
	},
	["Parrot_CombatEvents"] = {
		["[Text] (crit)"] = "[Text] （爆击）",
		["[Text] (crushing)"] = "[Text] （碾压）",
		["[Text] (glancing)"] = "[Text] （偏斜）",
		[" ([Amount] absorbed)"] = " （吸收 [Amount]）",
		[" ([Amount] blocked)"] = " （格挡 [Amount]）",
		[" ([Amount] resisted)"] = " （抵抗 [Amount]）",
		[" ([Amount] vulnerable)"] = " （易伤 [Amount]）",
		[" ([Amount] overheal)"] = " （过量治疗 [Amount]）",
		["Events"] = "事件",
		["Change event settings"] = "改变事件设置",
		["Incoming"] = "承受",
		["Incoming events are events which a mob or another player does to you."] = "承受事件是那些怪物或玩家对你造成的事件。",
		["Outgoing"] = "输出",
		["Outgoing events are events which you do to a mob or another player."] = "输出事件是那些你对怪物或玩家造成的事件。",
		["Notification"] = "提示",
		["Notification events are available to notify you of certain actions."] = "提示事件用来提醒你某个特定动作的触发。",
		["Event modifiers"] = "事件修饰",
		["Options for event modifiers."] = "事件修饰的选项。",
		["Color"] = "颜色",
		["Whether to color event modifiers or not."] = "是否为事件修饰上色。",
		["Damage types"] = "伤害类型",
		["Options for damage types."] = "伤害类型的选项。",
		["Whether to color damage types or not."] = "是否为伤害类型上色。",
		["Sticky crits"] = "爆击粘附",
		["Enable to show crits in the sticky style."] = "允许将爆击用粘附的风格显示。",
		["Throttle events"] = "事件节流",
		["Whether to merge mass events into single instances instead of excessive spam."] = "是否将大量同类事件整合为一个单一事件而避免信息泛滥。",
		["Filters"] = "过滤",
		["Filters to be checked for a minimum amount of damage/healing/etc before showing."] = "过滤显示小于特定值的伤害/治疗/其他信息。",
		["Shorten spell names"] = "缩略法术名称",
		["How or whether to shorten spell names."] = "是否或如何缩略法术名称。",
		["Style"] = "风格",
		["How or whether to shorten spell names."] = "是否或如何缩略法术名称。",
		["None"] = "无",
		["Abbreviate"] = "缩写",
		["Truncate"] = "截短",
		["Do not shorten spell names."] = "不对法术名称进行缩略。",
		["Gift of the Wild => GotW."] = "真言术：韧 => 韧。",
		["Gift of the Wild => Gift of t..."] = "真言术：韧 => 真言术...。",
		["Length"] = "长度",
		["The length at which to shorten spell names."] = "需要进行法术名称缩略的长度。",
		["Critical hits/heals"] = "爆击伤害/治疗",
		["Crushing blows"] = "碾压",
		["Glancing hits"] = "偏斜",
		["Partial absorbs"] = "部分吸收",
		["Partial blocks"] = "部分格挡",
		["Partial resists"] = "部分抵抗",
		["Vulnerability bonuses"] = "易伤加成",
		["Overheals"] = "过量治疗",
		["<Text>"] = "<Text>",
		["Enabled"] = "应用",
		["Whether to enable showing this event modifier."] = "是否应用事件修饰显示。",
		["What color this event modifier takes on."] = "事件修饰采用何种颜色。",
		["Text"] = "文本",
		["What text this event modifier shows."] = "事件修饰显示什么文本。",
		["Physical"] = "物理",
		["Holy"] = "神圣",
		["Fire"] = "火焰",
		["Nature"] = "自然",
		["Frost"] = "冰霜",
		["Shadow"] = "暗影",
		["Arcane"] = "奥术",
		["What color this damage type takes on."] = "此伤害类型采用何种颜色。",
		["Inherit"] = "继承",
		["Thin"] = "细",
		["Thick"] = "粗",
		["<Tag>"] = "<Tag>",
		["Uncategorized"] = "未分类",
		["Tag"] = "标识",
		["Tag to show for the current event."] = "标识显示当前事件。",
		["Color of the text for the current event."] = "当前事件的文本颜色。",
		["Sound"] = "音效",
		["What sound to play when the current event occurs."] = "当前事件发生时播放哪个音效。",
		["Sticky"] = "粘附",
		["Whether the current event should be classified as \"Sticky\""] = "是否将当前事件以\"粘附\"方式显示",
		["Custom font"] = "自定义字体",
		["Font face"] = "字体",
		["Inherit font size"] = "继承字号",
		["Font size"] = "字号",
		["Font outline"] = "字体勾勒",
		["Enable the current event."] = "应用当前事件。",
		["Scroll area"] = "滚动区域",
		["Which scroll area to use."] = "应用哪个滚动区域。",
		["What timespan to merge events within.\nNote: a time of 0s means no throttling will occur."] = "合并事件的时间间隔（单位秒）\n注意：0表示不进行节流显示。",
		["What amount to filter out. Any amount below this will be filtered.\nNote: a value of 0 will mean no filtering takes place."] = "需要过滤的值，低于该值将被过滤\n注意：若过滤值为0则表示不进行过滤。",
		["The amount of damage absorbed."] = "被吸收的伤害量。",
		["The amount of damage blocked."] = "被格挡的伤害量。",
		["The amount of damage resisted."] = "被抵抗的伤害量。",
		["The amount of vulnerability bonus."] = "易伤加成量。",
		["The amount of overhealing."] = "过量治疗量。",
		["The normal text."] = "一般文本。",
	},
	["Parrot_Display"] = {
		["None"] = "无",
		["Thin"] = "细",
		["Thick"] = "粗",
		["Text transparency"] = "文本透明度",
		["How opaque/transparent the text should be."] = "文本显示的透明度。",
		["Icon transparency"] = "图标透明度",
		["How opaque/transparent icons should be."] = "图标显示的透明度。",
		["Enable icons"] = "应用图标",
		["Set whether icons should be enabled or disabled altogether."] = "设置是否图标要被一起显示。",
		["Master font settings"] = "主字体设置",
		["Normal font"] = "正常字体",
		["Normal font face."] = "正常字体。",
		["Normal font size"] = "正常字号",
		["Normal outline"] = "正常勾勒",
		["Sticky font"] = "粘附字体",
		["Sticky font face."] = "粘附字体。",
		["Sticky font size"] = "粘附字号",
		["Sticky outline"] = "粘附勾勒",
	},
	["Parrot_ScrollAreas"] = {
		["Incoming"] = "承受",
		["Outgoing"] = "输出",
		["Notification"] = "提示",
		["New scroll area"] = "新滚动区域",
		["Inherit"] = "继承",
		["None"] = "无",
		["Thin"] = "细",
		["Thick"] = "粗",
		["Left"] = "左",
		["Right"] = "右",
		["Disable"] = "禁用",
		["Options for this scroll area."] = "本滚动区域的选项。",
		["Name"] = "名称",
		["Name of the scroll area."] = "滚动区域的名称。",
		["<Name>"] = "<名称>",
		["Remove"] = "移除",
		["Remove this scroll area."] = "移除本滚动区域。",
		["Icon side"] = "图标位置",
		["Set the icon side for this scroll area or whether to disable icons entirely."] = "设置本滚动区域的图标位置或是否完全禁用图标。",
		["Test"] = "测试",
		["Send a test message through this scroll area."] = "发送一条测试信息到本滚动区域。",
		["Normal"] = "正常",
		["Send a normal test message."] = "发送一条正常测试信息。",
		["Sticky"] = "粘附",
		["Send a sticky test message."] = "发送一条粘附测试信息。",
		["Direction"] = "方向",
		["Which direction the animations should follow."] = "滚动动画的方向。",
		["Direction for normal texts."] = "正常文字的方向。",
		["Direction for sticky texts."] = "粘附文字的方向。",
		["Animation style"] = "动画效果",
		["Which animation style to use."] = "采用何种动画效果。",
		["Animation style for normal texts."] = "正常文字的动画效果。",
		["Animation style for sticky texts."] = "粘附文字的动画效果。",
		["Position: horizontal"] = "水平位置",
		["The position of the box across the screen"] = "在屏幕上的水平位置",
		["Position: vertical"] = "垂直位置",
		["The position of the box up-and-down the screen"] = "在屏幕上的垂直位置",
		["Size"] = "大小",
		["How large of an area to scroll."] = "滚动区域的大小。",
		["Scrolling speed"] = "滚动速度",
		["How fast the text scrolls by."] = "设置以多快的速度滚动。",
		["Seconds for the text to complete the whole cycle, i.e. larger numbers means slower."] = "完成整个滚动循环的秒数，数字越大滚动越慢。",
		["Custom font"] = "自定义字体",
		["Normal font face"] = "正常字体",
		["Normal inherit font size"]  = "继承正常字号",
		["Normal font size"] = "正常字号",
		["Normal font outline"] = "正常字体勾勒",
		["Sticky font face"] = "粘附字体",
		["Sticky inherit font size"] = "继承粘附字号",
		["Sticky font size"] = "粘附字号",
		["Sticky font outline"] = "粘附字体勾勒",
		["Click and drag to the position you want."]  = "拖动到你希望的位置。",
		["Scroll area: %s"] = "滚动区域：%s",
		["Position: %d, %d"] = "位置：%d，%d",
		["Scroll areas"] = "滚动区域",
		["Options regarding scroll areas."] = "滚动区域的选项。",
		["Configuration mode"] = "配置模式",
		["Enter configuration mode, allowing you to move around the scroll areas and see them in action."] = "进入配置模式，让你可以移动滚动区域并观看效果。",
		["New scroll area"] = "新增滚动区域",
		["Add a new scroll area."] = "增加一个新的滚动区域。",
		--new below
		["Center of screen"] = "屏幕中央",
		["Edge of screen"] = "屏幕边缘",
		["Create"] = "创建",
		["Are you sure?"] = "是否确定？",
		["Send"] = "发送",
	},
	["Parrot_Suppressions"] = {
		["New suppression"] = "新增覆盖事件",
		["Edit"] = "编辑",
		["Edit search string"] = "编辑搜索字符串",
		["<Any text> or <Lua search expression>"] = "<任意文字>或<Lua 搜索表达式>",
		["Lua search expression"] = "Lua 搜索表达式",
		["Whether the search string is a lua search expression or not."] = "是否搜索字符串是一个 Lua 搜索表达式。",
		["Remove"] = "移除",
		["Remove suppression"] = "移除覆盖事件",
		["Suppressions"] = "覆盖事件",
		["List of strings that will be squelched if found."] = "列出的字符串若找到则被覆盖。",
		["Add a new suppression."] = "增加一个新的覆盖事件。",
		--new below
		["Create"] = "创建",
	},
	["Parrot_Triggers"] = {
		["%s!"] = "%s！",
		["Low Health!"] = "低血量！",
		["Low Mana!"] = "低法力！",
		["Low Pet Health!"] = "宠物低血量！",
		["Free %s!"] = "额外%s！",
		["Trigger cooldown"] = "触发冷却",
		["Check every XX seconds"] = "每过 XX 秒检查一次",
		["Triggers"] = "条件触发",
		["New trigger"] = "新增条件触发",
		["Create a new trigger"] = "创建一个新的条件触发",
		["Inherit"] = "继承",
		["None"] = "无",
		["Thin"] = "细",
		["Thick"] = "粗",
		["Druid"] = "德鲁伊",
		["Rogue"] = "潜行者",
		["Shaman"] = "萨满祭司",
		["Paladin"] = "圣骑士",
		["Mage"] = "法师",
		["Warlock"] = "术士",
		["Priest"] = "牧师",
		["Warrior"] = "战士",
		["Hunter"] = "猎人",
		["Output"] = "输出",
		["The text that is shown"] = "想要显示的文本",
		['<Text to show>'] = "<显示文本>",
		["Icon"] = "图标",
		["The icon that is shown"] = "想要显示的图标",
		['<Spell name> or <Item name> or <Path> or <SpellId>'] = "<法术名称>或<物品名称>或<路径>或<法术 ID>",
		["Enabled"] = "应用",
		["Whether the trigger is enabled or not."] = "是否应用这个条件触发。",
		["Remove trigger"] = "移除条件触发",
		["Remove this trigger completely."] = "彻底移除这个条件触发。",
		["Color"] = "颜色",
		["Color of the text for this trigger."] = "这个条件触发的显示文本颜色。",
		["Sticky"] = "粘附",
		["Whether to show this trigger as a sticky."] = "是否将本条件触发粘附显示。",
		["Classes"] = "职业",
		["Classes affected by this trigger."] = "本条件触发所影响的职业。",
		["Scroll area"] = "滚动区域",
		["Which scroll area to output to."] = "选择输出的滚动区域。",
		["Sound"] = "音效",
		["What sound to play when the trigger is shown."] = "条件触发显示时播放何种音效。",
		["Test"] = "测试",
		["Test how the trigger will look and act."] = "测试条件触发的效果。",
		["Custom font"] = "自定义字体",
		["Font face"] = "字体",
		["Inherit font size"] = "继承字号",
		["Font size"] = "字号",
		["Font outline"] = "字体勾勒",
		["Primary conditions"] = "主条件",
		["When any of these conditions apply, the secondary conditions are checked."] = "当这些条件中的任一个满足时，检查次条件。",
		["New condition"] = "新增条件",
		["Add a new primary condition"] = "增加一个新的主条件",
		["Remove condition"] = "移除条件",
		["Remove a primary condition"] = "移除一个主条件",
		["Secondary conditions"] = "次条件",
		["When all of these conditions apply, the trigger will be shown."] = "当所有这些条件被满足时，条件触发将被显示。",
		["Add a new secondary condition"] = "增加一个新的次条件",
		["Remove a secondary condition"] = "移除一个次条件",
		--new below
		["Create"] = "创建",
		["Remove"] = "移除",
		["Are you sure?"] = "是否确定？",
	},
	["Parrot_AnimationStyles"] = {
		["Straight"] = "直线型",
		["Up, left-aligned"] = "向上，左对齐",
		["Up, right-aligned"] = "向上，右对齐",
		["Up, center-aligned"] = "向上，中对齐",
		["Down, left-aligned"] = "向下，左对齐",
		["Down, right-aligned"] = "向下，右对齐",
		["Down, center-aligned"] = "向下，中对齐",
		["Parabola"] = "抛物线",
		["Up, left"] = "向上，向左",
		["Up, right"] = "向上，向右",
		["Up, alternating"] = "向上，交错",
		["Down, left"] = "向下，向左",
		["Down, right"] = "向下，向右",
		["Down, alternating"] = "向下，交错",
		["Semicircle"] = "半圆型",
		["Pow"] = "震动型",
		["Static"] = "静态型",
		["Rainbow"] = "彩虹型",
		["Horizontal"] = "横移型",
		["Left"] = "左",
		["Right"] = "右",
		["Alternating"] = "交错",
		["Action"] = "动作型",
		["Action Sticky"] = "动态粘附",
		["Angled"] = "角度型",
		["Sprinkler"] = "洒水型",
		["Up, clockwise"] = "向上，顺时针",
		["Down, clockwise"] = "向下，顺时针",
		["Left, clockwise"] = "向左，顺时针",
		["Right, clockwise"] = "向右，顺时针",
		["Up, counter-clockwise"] = "向上，逆时针",
		["Down, counter-clockwise"] = "向下，逆时针",
		["Left, counter-clockwise"] = "向左，逆时针",
		["Right, counter-clockwise"] = "向右，逆时针",
	},
	["Parrot_Auras"] = {
		["Auras"] = "光环",
		["Debuff gains"] = "受到减益",
		["The name of the debuff gained."] = "受到减益的名称。",
		["Buff gains"] = "获得增益",
		["The name of the buff gained."] = "获得增益的名称。",
		["Item buff gains"] = "获得物品增益",
		["The name of the item buff gained."] = "获得物品增益的名称。",
		["The rank of the item buff gained."] = "获得物品增益的等级。",
		["Debuff fades"] = "减益消退",
		["The name of the debuff lost."] = "消退减益的名称。",
		["Buff fades"] = "增益消退",
		["The name of the buff lost."] = "消退增益的名称。",
		["Item buff fades"] = "物品增益消退",
		["The name of the item buff lost."] = "消退物品增益的名称。",
		["The rank of the item buff lost."] = "消退物品增益的等级。",
		["Self buff gain"] = "获得自身增益",
		["<Buff name>"] = "<增益名称>",
		["Self buff fade"] = "自身增益消退",
		["Self debuff gain"] = "获得自身减益",
		["<Debuff name>"] = "<减益名称>",
		["Self debuff fade"] = "自身减益消退",
		["Self item buff gain"] = "获得自身物品增益",
		["<Item buff name>"] = "<物品增益名称>",
		["Self item buff fade"] = "自身增益消退",
		["Target buff gain"] = "目标获得增益",
		["Target debuff gain"] = "目标增益消退",
		["Buff inactive"] = "增益未激活",
		["Buff active"] = "增益激活",
	},
	["Parrot_CombatEvents_Data"] = {
		["Incoming damage"] = "承受伤害",
		["Melee damage"] = "近战伤害",
		["Melee"] = "近战",
		["The name of the enemy that attacked you."] = "攻击你的敌人名称。",
		["The amount of damage done."] = "造成的伤害量。",
		[" (%d hit, %d crit)"] = "（%d次命中，%d次爆击）",
		[" (%d hit, %d crits)"] = "（%d次命中，%d次爆击）",
		[" (%d hits, %d crit)"] = "（%d次命中，%d次爆击）",
		[" (%d hits, %d crits)"] = "（%d次命中，%d次爆击）",
		[" (%d crits)"] = "（%d次爆击）",
		[" (%d hits)"] = "（%d次命中）",
		["Multiple"] = "多重",
		["Melee misses"] = "近战未命中",
		["Miss!"] = "未命中！",
		["Melee dodges"] = "近战躲闪",
		["Dodge!"] = "躲闪！",
		["Melee parries"] = "近战招架",
		["Parry!"] = "招架！",
		["Melee blocks"] = "近战格挡",
		["Block!"] = "格挡！",
		["Melee absorbs"] = "近战吸收",
		["Absorb!"] = "吸收！",
		["Melee immunes"] = "近战免疫",
		["Immune!"] = "免疫！",
		["Melee evades"] = "近战闪避",
		["Evade!"] = "闪避！",
		["Skills"] = "技能",
		["Skill damage"] = "技能伤害",
		["The type of damage done."] = "造成伤害的类型。",
		["The spell or ability that the enemy attacked you with."] = "敌人攻击你所用的法术或技能。",
		["DoTs and HoTs"] = "DoT 和 HoT",
		["Skill DoTs"] = "技能 DoT",
		["Ability misses"] = "技能未命中",
		["Ability dodges"] = "技能躲闪",
		["Ability parries"] = "技能招架",
		["Ability blocks"] = "技能格挡",
		["Spell resists"] = "法术抵抗",
		["Resist!"] = "抵抗！",
		["Skill absorbs"] = "技能吸收",
		["Skill immunes"] = "技能免疫",
		["Skill reflects"] = "技能反射",
		["Reflect!"] = "反射！",
		["Skill interrupts"] = "技能打断",
		["Interrupt!"] = "打断！",
		["Incoming heals"] = "受到治疗",
		["Heals"] = "治疗",
		["The name of the ally that healed you."] = "治疗你的盟友名字。",
		["The spell or ability that the ally healed you with."] = "盟友用来治疗你的法术名称。",
		["The amount of healing done."] = "受到的治疗量。",
		[" (%d heal, %d crit)"] = "（%d次治疗，%d次爆击）",
		[" (%d heal, %d crits)"] = "（%d次治疗，%d次爆击）",
		[" (%d heals, %d crit)"] = "（%d次治疗，%d次爆击）",
		[" (%d heals, %d crits)"] = "（%d次治疗，%d次爆击）",
		[" (%d heals)"] = "（%d次治疗）",
		["Heals over time"] = "持续治疗",
		["Environmental damage"] = "环境伤害",
		["Outgoing damage"] = "输出伤害",
		["The name of the enemy you attacked."] = "你所攻击的敌人名称。",
		["The spell or ability that you used."] = "你所使用的法术或技能。",
		["Skill evades"] = "技能闪避",
		["Outgoing heals"] = "输出治疗",
		["The name of the ally you healed."] = "你所治疗的盟友名字。",
		["Pet melee"] = "近战（宠物）",
		["Pet melee damage"] = "近战伤害（宠物）",
		["Pet [Amount]"] = "[Amount]（宠物）",
		["(Pet) +[Amount]"] = "（宠物） +[Amount]",
		["Pet heals"] = "治疗（宠物）",
		["The name of the enemy your pet attacked."] = "宠物攻击的敌人名称。",
		["Pet melee misses"] = "近战未命中（宠物）",
		["Pet Miss!"] = "未命中！（宠物）",
		["Pet melee dodges"] = "近战躲闪（宠物）",
		["Pet Dodge!"] = "躲闪！（宠物）",
		["Pet melee parries"] = "近战招架（宠物）",
		["Pet Parry!"] = "招架！（宠物）",
		["Pet melee blocks"] = "近战格挡（宠物）",
		["Pet Block!"] = "格挡！（宠物）",
		["Pet melee absorbs"] = "近战吸收（宠物）",
		["Pet Absorb!"] = "吸收！（宠物）",
		["Pet melee immunes"] = "近战免疫（宠物）",
		["Pet Immune!"] = "免疫！（宠物）",
		["Pet melee evades"] = "近战闪避（宠物）",
		["Pet Evade!"] = "闪避！（宠物）",
		["Pet skills"] = "宠物技能",
		["Pet skill"] = "宠物技能",
		["Pet skill damage"] = "宠物技能伤害",
		["Pet [Amount] ([Skill])"] = "[Amount] （[Skill]）（宠物）",
		["The ability or spell your pet used."] = "宠物所使用的技能或法术。",
		["Pet ability misses"] = "技能未命中（宠物）",
		["Pet ability dodges"] = "技能躲闪（宠物）",
		["Pet ability parries"] = "技能招架（宠物）",
		["Pet ability blocks"] = "技能格挡（宠物）",
		["Pet spell resists"] = "技能抵抗（宠物）",
		["Pet Resist!"] = "抵抗！（宠物）",
		["Pet skill absorbs"] = "技能吸收（宠物）",
		["Pet skill immunes"] = "技能免疫（宠物）",
		["Pet skill reflects"] = "技能反射（宠物）",
		["Pet Reflect!"] = "反射！（宠物）",
		["Pet skill evades"] = "技能闪避（宠物）",
		["Combat status"] = "战斗状态",
		["Enter combat"] = "进入战斗",
		["Leave combat"] = "脱离战斗",
		["Power gain/loss"] = "获得/失去能量",
		["Power change"] = "能量变化",
		["Power gain"] = "获得能量",
		["+[Amount] [Type]"] = "+[Amount] [Type]",
		["The amount of power gained."] = "获得能量的数量。",
		["The type of power gained (Mana, Rage, Energy)."] = "获得能量的类型（法力，怒气，能量）。",
		["The ability or spell used to gain power."] = "为获得能量而使用的技能或法术。",
		["The character that the power comes from."] = "为你提供能量的角色。",
		[" (%d gains)"] = "（获得%d点）",
		["Power loss"] = "失去能量",
		["-[Amount] [Type]"] = "-[Amount] [Type]",
		["The amount of power lost."] = "失去能量的数量。",
		["The type of power lost (Mana, Rage, Energy)."] = "失去能量的类型（法力，怒气，能量）。",
		["The ability or spell take away your power."] = "使用的技能或法术而失去能量。",
		["The character that caused the power loss."] = "令你失去能量的角色。",
		[" (%d losses)"] = "（失去%s点）",
		["Combo points"] = "连击点",
		["Combo point gain"] = "获得连击点",
		["[Num] CP"] = "[Num]点CP",
		["The current number of combo points."] = "当前的连击点数",
		["Combo points full"] = "连击点已满",
		["[Num] CP Finish It!"] = "[Num]点CP 终结技！",
		["Honor gains"] = "获得荣誉",
		["The amount of honor gained."] = "获得的荣誉点数。",
		["The name of the enemy slain."] = "被杀死的敌人名字。",
		["The rank of the enemy slain."] = "被杀死的敌人级别。",
		["Reputation"] = "声望",
		["Reputation gains"] = "获得声望",
		["The amount of reputation gained."] = "获得的声望点数。",
		["The name of the faction."] = "势力的名称。",
		["Reputation losses"] = "失去声望",
		["The amount of reputation lost."] = "失去声望的点数。",
		["Skill gains"] = "技能提升",
		["The skill which experienced a gain."] = "获得提升的技能。",
		["The amount of skill points currently."] = "当前的技能点数。",
		["Experience gains"] = "获得经验",
		["The name of the enemy slain."] = "杀死的敌人名称。",
		["The amount of experience points gained."] = "获得的经验点数。",
		["Killing blows"] = "杀死",
		["Player killing blows"] = "杀死玩家",
		["Killing Blow!"] = "杀死！",
		["The spell or ability used to slay the enemy."] = "用来杀死敌人的法术或技能。",
		["NPC killing blows"] = "杀死 NPC",
		["Soul shard gains"] = "获得灵魂碎片",
		["The name of the soul shard."] = "灵魂碎片的名称。",
		["Extra attacks"] = "额外攻击",
		["%s!"] = "%s！",
		["The name of the spell or ability which provided the extra attacks."] = "导致额外攻击的法术或技能名称。",
		--new below
		["Self heals"] = "自身治疗",
		["Self heals over time"] = "自身治疗持续时间",
		["Pet skill DoTs"] = "宠物技能 DoTs",
		["Skill you were interrupted in casting"] = "在你施法中打断的技能",
		["The spell you interrupted"] = "你打断的技能",
	},
	["Parrot_Cooldowns"] = {
		["Cooldowns"] = "冷却",
		["Skill cooldown finish"] = "技能冷却完成",
		["[[Skill] ready!]"] = "> [Skill] 冷却完成！<",
		["The name of the spell or ability which is ready to be used."] = "冷却完成的法术或技能名称。",
		["Traps"] = "陷阱",
		["Shocks"] = "震击",
		["Divine Shield"] = "圣盾",
		["%s Tree"] = "%s系",
		["Spell ready"] = "法术可用",
		["<Spell name>"] = "<法术名称>",
	},
	["Parrot_Loot"] = {
		["Loot"] = "拾取",
		["Loot items"] = "拾取物品",
		["Loot [Name] +[Amount]([Total])"] = "拾取[Name] +[Amount]（[Total]）",
		["The name of the item."] = "物品名称。",
		["The amount of items looted."] = "物品数量。",
		["The total amount of items in inventory."] = "背包中物品的总量。",
		["Loot money"] = "拾取金钱",
		["Loot +[Amount]"] = "拾取 +[Amount]",
		["The amount of gold looted."] = "拾取金钱的数量。",
	},
	["Parrot_TriggerConditions_Data"] = {
		["Enemy target health percent"] = "敌对目标血量百分比",
		["Friendly target health percent"] = "友方目标血量百分比",
		["Self health percent"] = "自身血量百分比",
		["Self mana percent"] = "自身法力百分比",
		["Pet health percent"] = "宠物血量百分比",
		["Incoming block"] = "遭受格挡",
		["Incoming crit"] = "遭受爆击",
		["Incoming dodge"] = "遭受躲闪",
		["Incoming parry"] = "遭受招架",
		["Outgoing block"] = "产生格挡",
		["Outgoing crit"] = "产生爆击",
		["Outgoing dodge"] = "产生躲闪",
		["Outgoing parry"] = "产生招架",
		["Outgoing cast"] = "进行施法",
		["<Skill name>"] = "<技能名称>",
		["Incoming cast"] = "承受施法",
		["Minimum power amount"] = "最小能量值",
		["Warrior stance"] = "战士姿态",
		["Not in warrior stance"] = "没有处于姿态中",
		["Battle Stance"] = "战斗姿态",
		["Defensive Stance"] = "防御姿态",
		["Berserker Stance"] = "狂暴姿态",
	},
	["Parrot_CombatStatus"] = {
		["Combat status"] = "战斗状态",
		["Enter combat"] = "进入战斗",
		["+Combat"] = "+战斗",
		["Leave combat"] = "离开战斗",
		["-Combat"] = "-战斗",
		["In combat"] = "战斗中",
		["Not in combat"] = "非战斗",
	},
}end

--zhTW Translate from Lostcup
--zhTW Mod by 靈素＠阿薩斯 (Ananhaid Try to Mod 4/18th)
if GetLocale() == "zhTW" then localeTables = {
	["Parrot"] = {
		["Parrot"] = "Parrot",
		["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."] = "Floating Combat Text of awesomeness. Caw. It'll eat your crackers",
		["Inherit"] = "繼承",
		["Parrot Configuration"] = "Parrot 配置",
		["Waterfall-1.0 is required to access the GUI."] = "需要 Waterfall-1.0 庫才能打開 GUI",
		["General"] = "通用",
		["General settings"] = "通用設置",
		["Game damage"] = "默認傷害",
		["Whether to show damage over the enemy's heads."] = "是否在敵人頭上顯示傷害值",
		["Game healing"] = "默認治療",
		["Whether to show healing over the enemy's heads."] = "是否在敵人頭上顯示治療量",
		["|cffffff00Left-Click|r to change settings with a nice GUI configuration."] = "|cffffff00左鍵點擊|r以 GUI 配置方式改變設置",
		["|cffffff00Right-Click|r to change settings with a drop-down menu."] = "|cffffff00右鍵點擊|r以下拉菜單方式改變設置",
	},
	["Parrot_CombatEvents"] = {
		["[Text] (crit)"] = "[Text] (爆擊)",
		["[Text] (crushing)"] = "[Text] (碾壓)",
		["[Text] (glancing)"] = "[Text] (偏斜)",
		[" ([Amount] absorbed)"] = " (吸收 [Amount])",
		[" ([Amount] blocked)"] = " (格擋 [Amount])",
		[" ([Amount] resisted)"] = " (抵抗 [Amount])",
		[" ([Amount] vulnerable)"] = " (易傷 [Amount])",
		[" ([Amount] overheal)"] = " (過量治療 [Amount])",
		["Events"] = "事件",
		["Change event settings"] = "改變事件設置",
		["Incoming"] = "承受",
		["Incoming events are events which a mob or another player does to you."] = "承受事件是那些怪物或玩家對你造成的事件",
		["Outgoing"] = "輸出",
		["Outgoing events are events which you do to a mob or another player."] = "輸出事件是那些你對怪物或玩家造成的事件",
		["Notification"] = "提示",
		["Notification events are available to notify you of certain actions."] = "提示事件用來提醒你某個特定動作的觸發",
		["Event modifiers"] = "事件修飾",
		["Options for event modifiers."] = "事件修飾的選項",
		["Color"] = "顏色",
		["Whether to color event modifiers or not."] = "是否為事件修飾上色",
		["Damage types"] = "傷害類型",
		["Options for damage types."] = "傷害類型的選項",
		["Whether to color damage types or not."] = "是否為傷害類型上色",
		["Sticky crits"] = "爆擊粘附",
		["Enable to show crits in the sticky style."] = "允許將爆擊用粘附的風格顯示",
		["Throttle events"] = "事件節流",
		["Whether to merge mass events into single instances instead of excessive spam."] = "是否將大量同類事件整合為一個單一事件而避免信息氾濫",
		["Filters"] = "過濾",
		["Filters to be checked for a minimum amount of damage/healing/etc before showing."] = "過濾顯示小於特定值的傷害/治療/其他信息",
		["Shorten spell names"] = "縮略法術名稱",
		["How or whether to shorten spell names."] = "是否或如何縮略法術名稱",
		["Style"] = "風格",
		["How or whether to shorten spell names."] = "是否或如何縮略法術名稱",
		["None"] = "無",
		["Abbreviate"] = "縮寫",
		["Truncate"] = "截短",
		["Do not shorten spell names."] = "不對法術名稱進行縮略",
		["Gift of the Wild => GotW."] = "真言術：韌 => 韌",
		["Gift of the Wild => Gift of t..."] = "真言術：韌 => 真言術...",
		["Length"] = "長度",
		["The length at which to shorten spell names."] = "需要進行法術名稱縮略的長度",
		["Critical hits/heals"] = "爆擊傷害/治療",
		["Crushing blows"] = "碾壓",
		["Glancing hits"] = "偏斜",
		["Partial absorbs"] = "部分吸收",
		["Partial blocks"] = "部分格擋",
		["Partial resists"] = "部分抵抗",
		["Vulnerability bonuses"] = "易傷加成",
		["Overheals"] = "過量治療",
		["<Text>"] = "<Text>",
		["Enabled"] = "應用",
		["Whether to enable showing this event modifier."] = "是否應用事件修飾顯示",
		["What color this event modifier takes on."] = "事件修飾採用何種顏色",
		["Text"] = "文字",
		["What text this event modifier shows."] = "事件修飾顯示什麼文字",
		["Physical"] = "物理",
		["Holy"] = "神聖",
		["Fire"] = "火焰",
		["Nature"] = "自然",
		["Frost"] = "冰霜",
		["Shadow"] = "暗影",
		["Arcane"] = "秘法",
		["What color this damage type takes on."] = "此傷害類型採用何種顏色",
		["Inherit"] = "繼承",
		["Thin"] = "細",
		["Thick"] = "粗",
		["<Tag>"] = "<Tag>",
		["Uncategorized"] = "未分類",
		["Tag"] = "標識",
		["Tag to show for the current event."] = "標識顯示當前事件",
		["Color of the text for the current event."] = "當前事件的文字顏色",
		["Sound"] = "音效",
		["What sound to play when the current event occurs."] = "當前事件發生時播放哪個音效",
		["Sticky"] = "粘附",
		["Whether the current event should be classified as \"Sticky\""] = "是否將當前事件以\"粘附\"方式顯示",
		["Custom font"] = "自定義字體",
		["Font face"] = "字體",
		["Inherit font size"] = "繼承字號",
		["Font size"] = "字號",
		["Font outline"] = "字體勾勒",
		["Enable the current event."] = "應用當前事件",
		["Scroll area"] = "滾動區域",
		["Which scroll area to use."] = "應用哪個滾動區域",
		["What timespan to merge events within.\nNote: a time of 0s means no throttling will occur."] = "合併事件的時間間隔（單位秒）\n注意：0表示不進行節流顯示",
		["What amount to filter out. Any amount below this will be filtered.\nNote: a value of 0 will mean no filtering takes place."] = "需要過濾的值，低於該值將被過濾\n注意：若過濾值為0則表示不進行過濾",
		["The amount of damage absorbed."] = "被吸收的傷害量",
		["The amount of damage blocked."] = "被格擋的傷害量",
		["The amount of damage resisted."] = "被抵抗的傷害量",
		["The amount of vulnerability bonus."] = "易傷加成量",
		["The amount of overhealing."] = "過量治療量",
		["The normal text."] = "一般文字",
	},
	["Parrot_Display"] = {
		["None"] = "無",
		["Thin"] = "細",
		["Thick"] = "粗",
		["Text transparency"] = "文字透明度",
		["How opaque/transparent the text should be."] = "文字顯示的透明度",
		["Icon transparency"] = "圖示透明度",
		["How opaque/transparent icons should be."] = "圖示顯示的透明度",
		["Enable icons"] = "應用圖示",
		["Set whether icons should be enabled or disabled altogether."] = "設置是否圖示要被一起顯示",
		["Master font settings"] = "主字體設置",
		["Normal font"] = "正常字體",
		["Normal font face."] = "正常字型",
		["Normal font size"] = "正常字型大小",
		["Normal outline"] = "正常輪廓",
		["Sticky font"] = "粘附字體",
		["Sticky font face."] = "粘附字型",
		["Sticky font size"] = "粘附字型大小",
		["Sticky outline"] = "粘附輪廓",
	},
	["Parrot_ScrollAreas"] = {
		["Incoming"] = "承受",
		["Outgoing"] = "輸出",
		["Notification"] = "提示",
		["New scroll area"] = "新滾動區域",
		["Inherit"] = "繼承",
		["None"] = "無",
		["Thin"] = "細",
		["Thick"] = "粗",
		["Left"] = "左",
		["Right"] = "右",
		["Disable"] = "禁用",
		["Options for this scroll area."] = "本滾動區域的選項",
		["Name"] = "名稱",
		["Name of the scroll area."] = "滾動區域的名稱",
		["<Name>"] = "<名稱>",
		["Remove"] = "移除",
		["Remove this scroll area."] = "移除本滾動區域",
		["Icon side"] = "圖示位置",
		["Set the icon side for this scroll area or whether to disable icons entirely."] = "設置本滾動區域的圖示位置或是否完全禁用圖示",
		["Test"] = "測試",
		["Send a test message through this scroll area."] = "發送一條測試信息到本滾動區域",
		["Normal"] = "正常",
		["Send a normal test message."] = "發送一條正常測試信息",
		["Sticky"] = "粘附",
		["Send a sticky test message."] = "發送一條粘附測試信息",
		["Direction"] = "方向",
		["Which direction the animations should follow."] = "滾動動畫的方向",
		["Direction for normal texts."] = "正常文字的方向",
		["Direction for sticky texts."] = "粘附文字的方向",
		["Animation style"] = "動畫效果",
		["Which animation style to use."] = "採用何種動畫效果",
		["Animation style for normal texts."] = "正常文字的動畫效果",
		["Animation style for sticky texts."] = "粘附文字的動畫效果",
		["Position: horizontal"] = "水平位置",
		["The position of the box across the screen"] = "在熒幕上的水平位置",
		["Position: vertical"] = "垂直位置",
		["The position of the box up-and-down the screen"] = "在熒幕上的垂直位置",
		["Size"] = "大小",
		["How large of an area to scroll."] = "滾動區域的大小",
		["Scrolling speed"] = "滾動速度",
		["How fast the text scrolls by."] = "設置以多快的速度滾動",
		["Seconds for the text to complete the whole cycle, i.e. larger numbers means slower."] = "完成整個滾動循環的秒數，數字越大滾動越慢",
		["Custom font"] = "自定義字體",
		["Normal font face"] = "正常字型",
		["Normal inherit font size"]  = "繼承正常字型大小",
		["Normal font size"] = "正常字型大小",
		["Normal font outline"] = "正常字體輪廓",
		["Sticky font face"] = "粘附字型",
		["Sticky inherit font size"] = "繼承粘附字型大小",
		["Sticky font size"] = "粘附字型大小",
		["Sticky font outline"] = "粘附字體輪廓",
		["Click and drag to the position you want."]  = "拖動到你希望的位置",
		["Scroll area: %s"] = "滾動區域：%s",
		["Position: %d, %d"] = "位置：%d，%d",
		["Scroll areas"] = "滾動區域",
		["Options regarding scroll areas."] = "滾動區域的選項",
		["Configuration mode"] = "配置模式",
		["Enter configuration mode, allowing you to move around the scroll areas and see them in action."] = "進入配置模式，讓你可以移動滾動區域並觀看效果",
		["New scroll area"] = "新增滾動區域",
		["Add a new scroll area."] = "增加一個新的滾動區域",
		--new below
		["Center of screen"] = "熒幕中央",
		["Edge of screen"] = "熒幕邊緣",
		["Create"] = "創建",
		["Are you sure?"] = "是否確定？",
		["Send"] = "發送",
	},
	["Parrot_Suppressions"] = {
		["New suppression"] = "新增覆蓋事件",
		["Edit"] = "編輯",
		["Edit search string"] = "編輯搜索字符串",
		["<Any text> or <Lua search expression>"] = "<任意文字>或<LUA 搜索表達式>",
		["Lua search expression"] = "LUA 搜索表達式",
		["Whether the search string is a lua search expression or not."] = "是否搜索字符串是一個 LUA 搜索表達式",
		["Remove"] = "移除",
		["Remove suppression"] = "移除覆蓋事件",
		["Suppressions"] = "覆蓋事件",
		["List of strings that will be squelched if found."] = "列出的字符串若找到則被覆蓋",
		["Add a new suppression."] = "增加一個新的覆蓋事件",
		--new below
		["Create"] = "創建",
	},
	["Parrot_Triggers"] = {
		["%s!"] = "%s！",
		["Low Health!"] = "低血量！",
		["Low Mana!"] = "低法力！",
		["Low Pet Health!"] = "寵物低血量！",
		["Free %s!"] = "額外%s！",
		["Trigger cooldown"] = "觸發冷卻",
		["Check every XX seconds"] = "每過XX檢查一次",
		["Triggers"] = "條件觸發",
		["New trigger"] = "新增條件觸發",
		["Create a new trigger"] = "創建一個新的條件觸發",
		["Inherit"] = "繼承",
		["None"] = "無",
		["Thin"] = "細",
		["Thick"] = "粗",
		["Druid"] = "德魯伊",
		["Rogue"] = "盜賊",
		["Shaman"] = "薩滿",
		["Paladin"] = "聖騎士",
		["Mage"] = "法師",
		["Warlock"] = "術士",
		["Priest"] = "牧師",
		["Warrior"] = "戰士",
		["Hunter"] = "獵人",
		["Output"] = "輸出",
		["The text that is shown"] = "想要顯示的文字",
		['<Text to show>'] = "<顯示文字>",
		["Icon"] = "圖示",
		["The icon that is shown"] = "想要顯示的圖示",
		['<Spell name> or <Item name> or <Path> or <SpellId>'] = "<法術名稱>或<物品名稱>或<路徑>或<法術 ID>",
		["Enabled"] = "應用",
		["Whether the trigger is enabled or not."] = "是否應用這個條件觸發",
		["Remove trigger"] = "移除條件觸發",
		["Remove this trigger completely."] = "徹底移除這個條件觸發",
		["Color"] = "顏色",
		["Color of the text for this trigger."] = "這個條件觸發的顯示文字顏色",
		["Sticky"] = "粘附",
		["Whether to show this trigger as a sticky."] = "是否將本條件觸發粘附顯示",
		["Classes"] = "職業",
		["Classes affected by this trigger."] = "本條件觸發所影響的職業",
		["Scroll area"] = "滾動區域",
		["Which scroll area to output to."] = "選擇輸出的滾動區域",
		["Sound"] = "音效",
		["What sound to play when the trigger is shown."] = "條件觸發顯示時播放何種音效",
		["Test"] = "測試",
		["Test how the trigger will look and act."] = "測試條件觸發的效果",
		["Custom font"] = "自定義字體",
		["Font face"] = "字型",
		["Inherit font size"] = "繼承字型大小",
		["Font size"] = "字型大小",
		["Font outline"] = "字體輪廓",
		["Primary conditions"] = "主條件",
		["When any of these conditions apply, the secondary conditions are checked."] = "當這些條件中的任一個滿足時，檢查次條件",
		["New condition"] = "新增條件",
		["Add a new primary condition"] = "增加一個新的主條件",
		["Remove condition"] = "移除條件",
		["Remove a primary condition"] = "移除一個主條件",
		["Secondary conditions"] = "次條件",
		["When all of these conditions apply, the trigger will be shown."] = "當所有這些條件被滿足時，條件觸發將被顯示",
		["Add a new secondary condition"] = "增加一個新的次條件",
		["Remove a secondary condition"] = "移除一個次條件",
		--new below
		["Create"] = "創建",
		["Remove"] = "移除",
		["Are you sure?"] = "是否確定？",
	},
	["Parrot_AnimationStyles"] = {
		["Straight"] = "直線型",
		["Up, left-aligned"] = "向上，左對齊",
		["Up, right-aligned"] = "向上，右對齊",
		["Up, center-aligned"] = "向上，中對齊",
		["Down, left-aligned"] = "向下，左對齊",
		["Down, right-aligned"] = "向下，右對齊",
		["Down, center-aligned"] = "向下，中對齊",
		["Parabola"] = "拋物線",
		["Up, left"] = "向上，向左",
		["Up, right"] = "向上，向右",
		["Up, alternating"] = "向上，交錯",
		["Down, left"] = "向下，向左",
		["Down, right"] = "向下，向右",
		["Down, alternating"] = "向下，交錯",
		["Semicircle"] = "半圓型",
		["Pow"] = "震動型",
		["Static"] = "靜態型",
		["Rainbow"] = "彩虹型",
		["Horizontal"] = "橫移型",
		["Left"] = "左",
		["Right"] = "右",
		["Alternating"] = "交錯",
		["Action"] = "動作型",
		["Action Sticky"] = "動態粘附",
		["Angled"] = "角度型",
		["Sprinkler"] = "灑水型",
		["Up, clockwise"] = "向上，順時針",
		["Down, clockwise"] = "向下，順時針",
		["Left, clockwise"] = "向左，順時針",
		["Right, clockwise"] = "向右，順時針",
		["Up, counter-clockwise"] = "向上，逆時針",
		["Down, counter-clockwise"] = "向下，逆時針",
		["Left, counter-clockwise"] = "向左，逆時針",
		["Right, counter-clockwise"] = "向右，逆時針",
	},
	["Parrot_Auras"] = {
		["Auras"] = "光環",
		["Debuff gains"] = "受到 DEBUFF",
		["The name of the debuff gained."] = "受到 DEBUFF 的名稱",
		["Buff gains"] = "獲得 BUFF",
		["The name of the buff gained."] = "獲得 BUFF 的名稱",
		["Item buff gains"] = "獲得物品 BUFF",
		["The name of the item buff gained."] = "獲得物品 BUFF 的名稱",
		["The rank of the item buff gained."] = "獲得物品 BUFF 的等級",
		["Debuff fades"] = "DEBUFF 消退",
		["The name of the debuff lost."] = "消退 DEBUFF 的名稱",
		["Buff fades"] = "BUFF 消退",
		["The name of the buff lost."] = "消退 BUFF 的名稱",
		["Item buff fades"] = "物品 BUFF 消退",
		["The name of the item buff lost."] = "消退物品BUFF的名稱",
		["The rank of the item buff lost."] = "消退物品 BUFF 的等級",
		["Self buff gain"] = "獲得自身 BUFF",
		["<Buff name>"] = "<BUFF 名稱>",
		["Self buff fade"] = "自身 BUFF 消退",
		["Self debuff gain"] = "獲得自身 DEBUFF",
		["<Debuff name>"] = "<DEBUFF 名稱>",
		["Self debuff fade"] = "自身 DEBUFF 消退",
		["Self item buff gain"] = "獲得自身物品 BUFF",
		["<Item buff name>"] = "<物品 BUFF 名稱>",
		["Self item buff fade"] = "自身 BUFF 消退",
		["Target buff gain"] = "目標獲得 BUFF",
		["Target debuff gain"] = "目標 BUFF 消退",
		["Buff inactive"] = "BUFF 未啟動",
		["Buff active"] = "BUFF 啟動",
	},
	["Parrot_CombatEvents_Data"] = {
		["Incoming damage"] = "承受傷害",
		["Melee damage"] = "近戰傷害",
		["Melee"] = "近戰",
		["The name of the enemy that attacked you."] = "攻擊你的敵人名稱",
		["The amount of damage done."] = "造成的傷害量",
		[" (%d hit, %d crit)"] = "（%d次命中，%d次爆擊）",
		[" (%d hit, %d crits)"] = "（%d次命中，%d次爆擊）",
		[" (%d hits, %d crit)"] = "（%d次命中，%d次爆擊）",
		[" (%d hits, %d crits)"] = "（%d次命中，%d次爆擊）",
		[" (%d crits)"] = "（%d次爆擊）",
		[" (%d hits)"] = "（%d次命中）",
		["Multiple"] = "多重",
		["Melee misses"] = "近戰未命中",
		["Miss!"] = "未命中！",
		["Melee dodges"] = "近戰躲閃",
		["Dodge!"] = "躲閃！",
		["Melee parries"] = "近戰招架",
		["Parry!"] = "招架！",
		["Melee blocks"] = "近戰格擋",
		["Block!"] = "格擋！",
		["Melee absorbs"] = "近戰吸收",
		["Absorb!"] = "吸收！",
		["Melee immunes"] = "近戰免疫",
		["Immune!"] = "免疫！",
		["Melee evades"] = "近戰閃避",
		["Evade!"] = "閃避！",
		["Skills"] = "技能",
		["Skill damage"] = "技能傷害",
		["The type of damage done."] = "造成傷害的類型",
		["The spell or ability that the enemy attacked you with."] = "敵人攻擊你所用的法術或技能",
		["DoTs and HoTs"] = "DoT 和 HoT",
		["Skill DoTs"] = "技能 DoT",
		["Ability misses"] = "技能未命中",
		["Ability dodges"] = "技能躲閃",
		["Ability parries"] = "技能招架",
		["Ability blocks"] = "技能格擋",
		["Spell resists"] = "法術抵抗",
		["Resist!"] = "抵抗！",
		["Skill absorbs"] = "技能吸收",
		["Skill immunes"] = "技能免疫",
		["Skill reflects"] = "技能反射",
		["Reflect!"] = "反射！",
		["Skill interrupts"] = "技能打斷",
		["Interrupt!"] = "打斷！",
		["Incoming heals"] = "受到治療",
		["Heals"] = "治療",
		["The name of the ally that healed you."] = "治療你的盟友名字",
		["The spell or ability that the ally healed you with."] = "盟友用來治療你的法術名稱",
		["The amount of healing done."] = "受到的治療量",
		[" (%d heal, %d crit)"] = "（%d次治療，%d次爆擊）",
		[" (%d heal, %d crits)"] = "（%d次治療，%d次爆擊）",
		[" (%d heals, %d crit)"] = "（%d次治療，%d次爆擊）",
		[" (%d heals, %d crits)"] = "（%d次治療，%d次爆擊）",
		[" (%d heals)"] = "（%d次治療）",
		["Heals over time"] = "持續治療",
		["Environmental damage"] = "環境傷害",
		["Outgoing damage"] = "輸出傷害",
		["The name of the enemy you attacked."] = "你所攻擊的敵人名稱",
		["The spell or ability that you used."] = "你所使用的法術或技能",
		["Skill evades"] = "技能閃避",
		["Outgoing heals"] = "輸出治療",
		["The name of the ally you healed."] = "你所治療的盟友名字",
		["Pet melee"] = "近戰（寵物）",
		["Pet melee damage"] = "近戰傷害（寵物）",
		["Pet [Amount]"] = "[Amount]（寵物）",
		["(Pet) +[Amount]"] = "（寵物） +[Amount]",
		["Pet heals"] = "治療（寵物）",
		["The name of the enemy your pet attacked."] = "寵物攻擊的敵人名稱",
		["Pet melee misses"] = "近戰未命中（寵物）",
		["Pet Miss!"] = "未命中！（寵物）",
		["Pet melee dodges"] = "近戰躲閃（寵物）",
		["Pet Dodge!"] = "躲閃！（寵物）",
		["Pet melee parries"] = "近戰招架（寵物）",
		["Pet Parry!"] = "招架（寵物）",
		["Pet melee blocks"] = "近戰格擋（寵物）",
		["Pet Block!"] = "格擋（寵物）",
		["Pet melee absorbs"] = "近戰吸收（寵物）",
		["Pet Absorb!"] = "吸收！（寵物）",
		["Pet melee immunes"] = "近戰免疫（寵物）",
		["Pet Immune!"] = "免疫！（寵物）",
		["Pet melee evades"] = "近戰閃避（寵物）",
		["Pet Evade!"] = "閃避！ （寵物）",
		["Pet skills"] = "寵物技能",
		["Pet skill"] = "寵物技能",
		["Pet skill damage"] = "寵物技能傷害",
		["Pet [Amount] ([Skill])"] = "[Amount] ([Skill])（寵物）",
		["The ability or spell your pet used."] = "寵物所使用的技能或法術",
		["Pet ability misses"] = "技能未命中（寵物）",
		["Pet ability dodges"] = "技能躲閃（寵物）",
		["Pet ability parries"] = "技能招架（寵物）",
		["Pet ability blocks"] = "技能格擋（寵物）",
		["Pet spell resists"] = "技能抵抗（寵物）",
		["Pet Resist!"] = "抵抗！（寵物）",
		["Pet skill absorbs"] = "技能吸收（寵物）",
		["Pet skill immunes"] = "技能免疫（寵物）",
		["Pet skill reflects"] = "技能反射（寵物）",
		["Pet Reflect!"] = "反射！（寵物）",
		["Pet skill evades"] = "技能閃避（寵物）",
		["Combat status"] = "戰鬥狀態",
		["Enter combat"] = "進入戰鬥",
		["Leave combat"] = "脫離戰鬥",
		["Power gain/loss"] = "獲得/失去能量",
		["Power change"] = "能量變化",
		["Power gain"] = "獲得能量",
		["+[Amount] [Type]"] = "+[Amount] [Type]",
		["The amount of power gained."] = "獲得能量的數量",
		["The type of power gained (Mana, Rage, Energy)."] = "獲得能量的類型（法力，怒氣，能量）",
		["The ability or spell used to gain power."] = "為獲得能量而使用的技能或法術",
		["The character that the power comes from."] = "為你提供能量的角色",
		[" (%d gains)"] = "（獲得%d點）",
		["Power loss"] = "失去能量",
		["-[Amount] [Type]"] = "-[Amount] [Type]",
		["The amount of power lost."] = "失去能量的數量",
		["The type of power lost (Mana, Rage, Energy)."] = "失去能量的類型（法力，怒氣，能量）",
		["The ability or spell take away your power."] = "使用的技能或法術而失去能量",
		["The character that caused the power loss."] = "令你失去能量的角色",
		[" (%d losses)"] = "（失去%s點）",
		["Combo points"] = "連擊點",
		["Combo point gain"] = "獲得連擊點",
		["[Num] CP"] = "[Num]點CP",
		["The current number of combo points."] = "當前的連擊點數",
		["Combo points full"] = "連擊點已滿",
		["[Num] CP Finish It!"] = "[Num]點CP 終結技！",
		["Honor gains"] = "獲得榮譽",
		["The amount of honor gained."] = "獲得的榮譽點數",
		["The name of the enemy slain."] = "被殺死的敵人名字",
		["The rank of the enemy slain."] = "被殺死的敵人級別",
		["Reputation"] = "聲望",
		["Reputation gains"] = "獲得聲望",
		["The amount of reputation gained."] = "獲得的聲望點數",
		["The name of the faction."] = "勢力的名稱",
		["Reputation losses"] = "失去聲望",
		["The amount of reputation lost."] = "失去聲望的點數",
		["Skill gains"] = "技能提升",
		["The skill which experienced a gain."] = "獲得提升的技能",
		["The amount of skill points currently."] = "當前的技能點數",
		["Experience gains"] = "獲得經驗",
		["The name of the enemy slain."] = "殺死的敵人名稱",
		["The amount of experience points gained."] = "獲得的經驗點數",
		["Killing blows"] = "殺死",
		["Player killing blows"] = "殺死玩家",
		["Killing Blow!"] = "殺死！",
		["The spell or ability used to slay the enemy."] = "用來殺死敵人的法術或技能",
		["NPC killing blows"] = "殺死 NPC",
		["Soul shard gains"] = "獲得靈魂碎片",
		["The name of the soul shard."] = "靈魂碎片的名稱",
		["Extra attacks"] = "額外攻擊",
		["%s!"] = "%s！",
		["The name of the spell or ability which provided the extra attacks."] = "導致額外攻擊的法術或技能名稱",
		--new below
		["Self heals"] = "自身治療",
		["Self heals over time"] = "自身治療持續時間",
		["Pet skill DoTs"] = "寵物技能 DoTs",
		["Skill you were interrupted in casting"] = "在你施法中打斷的技能",
		["The spell you interrupted"] = "你打斷的技能",
	},
	["Parrot_Cooldowns"] = {
		["Cooldowns"] = "冷卻",
		["Skill cooldown finish"] = "技能冷卻完成",
		["[[Skill] ready!]"] = "> [Skill] 冷卻完成！<",
		["The name of the spell or ability which is ready to be used."] = "冷卻完成的法術或技能名稱",
		["Traps"] = "陷阱",
		["Shocks"] = "震擊",
		["Divine Shield"] = "聖盾",
		["%s Tree"] = "%s系",
		["Spell ready"] = "法術可用",
		["<Spell name>"] = "<法術名稱>",
	},
	["Parrot_Loot"] = {
		["Loot"] = "拾取",
		["Loot items"] = "拾取物品",
		["Loot [Name] +[Amount]([Total])"] = "拾取[Name] +[Amount]（[Total]）",
		["The name of the item."] = "物品名稱",
		["The amount of items looted."] = "物品數量",
		["The total amount of items in inventory."] = "背包中物品的總量",
		["Loot money"] = "拾取金錢",
		["Loot +[Amount]"] = "拾取 +[Amount]",
		["The amount of gold looted."] = "拾取金錢的數量",
	},
	["Parrot_TriggerConditions_Data"] = {
		["Enemy target health percent"] = "敵對目標血量百分比",
		["Friendly target health percent"] = "友方目標血量百分比",
		["Self health percent"] = "自身血量百分比",
		["Self mana percent"] = "自身法力百分比",
		["Pet health percent"] = "寵物血量百分比",
		["Incoming block"] = "遭受格擋",
		["Incoming crit"] = "遭受爆擊",
		["Incoming dodge"] = "遭受躲閃",
		["Incoming parry"] = "遭受招架",
		["Outgoing block"] = "產生格擋",
		["Outgoing crit"] = "產生爆擊",
		["Outgoing dodge"] = "產生躲閃",
		["Outgoing parry"] = "產生招架",
		["Outgoing cast"] = "進行施法",
		["<Skill name>"] = "<技能名稱>",
		["Incoming cast"] = "承受施法",
		["Minimum power amount"] = "最小能量值",
		["Warrior stance"] = "戰士姿態",
		["Not in warrior stance"] = "沒有處於姿態中",
		["Battle Stance"] = "戰鬥姿態",
		["Defensive Stance"] = "防禦姿態",
		["Berserker Stance"] = "狂暴姿態",
	},
	["Parrot_CombatStatus"] = {
		["Combat status"] = "戰鬥狀態",
		["Enter combat"] = "進入戰鬥",
		["+Combat"] = "+戰鬥",
		["Leave combat"] = "離開戰鬥",
		["-Combat"] = "-戰鬥",
		["In combat"] = "戰鬥中",
		["Not in combat"] = "非戰鬥",
	},
}end


-- Parrot localization information
-- Translation by Next96, Fenlis, Omosiro, SayClub
if GetLocale() == "koKR" then localeTables = {
	["Parrot"] = {
		["Parrot"] = "Parrot",
		["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."] = "Floating Combat Text of awesomeness. Caw. It'll eat your crackers",
		["Inherit"] = "상속",
		["Parrot Configuration"] = "Parrot 설정",
		["Waterfall-1.0 is required to access the GUI."] = "GUI 환경 설정을 위해 Waterfall-1.0이 필요합니다.",
		["General"] = "전체",
		["General settings"] = "전체 설정",
		["Game damage"] = "게임 공격력",
		["Whether to show damage over the enemy's heads."] = "적의 머리위에 공격력을 표시합니다.",
		["Game healing"] = "게임 치유량",
		["Whether to show healing over the enemy's heads."] = "적의 머리위에 치유량을 표시합니다.",
		["|cffffff00Left-Click|r to change settings with a nice GUI configuration."] = "GUI 환경 설정으로 설정을 변경하려면 |cffffff00좌-클릭|r하세요.",
		["|cffffff00Right-Click|r to change settings with a drop-down menu."] = "드롭-다운 메뉴로 설정을 변경하려면 |cffffff00우-클릭|r하세요.",
	},
	["Parrot_CombatEvents"] = {
		["[Text] (crit)"] = "[Text] (치명타)",
		["[Text] (crushing)"] = "[Text] (강타당함)",
		["[Text] (glancing)"] = "[Text] (빗맞음)",
		[" ([Amount] absorbed)"] = " ([Amount] 흡수됨)",
		[" ([Amount] blocked)"] = " ([Amount] 피해 방어)",
		[" ([Amount] resisted)"] = " ([Amount] 저항함)",
		[" ([Amount] vulnerable)"] = " ([Amount] 약점)",
		[" ([Amount] overheal)"] = " ([Amount] 초과 치유)",
		["Events"] = "이벤트",
		["Change event settings"] = "이벤트 설정을 변경합니다.",
		["Incoming"] = "받는 메시지",
		["Incoming events are events which a mob or another player does to you."] = "받는 이벤트는 몹 혹은 다른 플레이어가 당신에게 행하는 이벤트입니다.",
		["Outgoing"] = "보내는 메시지",
		["Outgoing events are events which you do to a mob or another player."] = "보내는 이벤트는 당신이 몹 혹은 다른 플레이어에게 행하는 이벤트입니다.",
		["Notification"] = "알림 메시지",
		["Notification events are available to notify you of certain actions."] = "알림 이벤트는 당신의 특정 행동 알림에 이용할 수 있습니다.",
		["Event modifiers"] = "이벤트 수정자",
		["Options for event modifiers."] = "이벤트 수정자에 대한 설정입니다.",
		["Color"] = "색상",
		["Whether to color event modifiers or not."] = "이벤트 수정자에 따른 색상 사용을 선택합니다.",
		["Damage types"] = "피해 유형",
		["Options for damage types."] = "피해 유형에 대한 설정입니다.",
		["Whether to color damage types or not."] = "피해 유형에 따른 색상 사용을 선택합니다.",
		["Sticky crits"] = "접착성 치명타",
		["Enable to show crits in the sticky style."] = "접착성 형태로 치명타를 표시합니다.",
		["Throttle events"] = "이벤트 조절",
		["Whether to merge mass events into single instances instead of excessive spam."] = "많은 이벤트로 인한 지나친 메시지 대신 단 하나의 메시지를 표시합니다.",
		["Filters"] = "필터",
		["Filters to be checked for a minimum amount of damage/healing/etc before showing."] = "화면에 표시할 데미지/치유량/기타 등의 최소값을 설정할 수 있습니다.",
		["Shorten spell names"] = "주문 이름 줄임",
		["How or whether to shorten spell names."] = "주문 이름을 짧게 표시합니다.",
		["Style"] = "스타일",
		["How or whether to shorten spell names."] = "주문 이름을 짧게 표시합니다.",
		["None"] = "없음",
		["Abbreviate"] = "약어",
		["Truncate"] = "생략",
		["Do not shorten spell names."] = "주문명을 줄이지 않습니다.",
		["Gift of the Wild => GotW."] = "야생의 선물 => 야선",
		["Gift of the Wild => Gift of t..."] = "야생의 선물 => 야생의 ...",
		["Length"] = "길이",
		["The length at which to shorten spell names."] = "텍스트 길이가 몇글자 이상일때 주문명 줄이기를 적용할지 정합니다.",
		["Critical hits/heals"] = "치명타/극대화",
		["Crushing blows"] = "강타 알림",
		["Glancing hits"] = "빗맞은 타격",
		["Partial absorbs"] = "부분적인 흡수",
		["Partial blocks"] = "부분적인 방어",
		["Partial resists"] = "부분적인 저항",
		["Vulnerability bonuses"] = "약점 보너스",
		["Overheals"] = "초과 치유",
		["<Text>"] = "<문자>",
		["Enabled"] = "사용",
		["Whether to enable showing this event modifier."] = "해당 이벤트 수정자 표시 사용을 선택합니다.",
		["What color this event modifier takes on."] = "받은 해당 이벤트 수정자의 색상을 선택합니다.",
		["Text"] = "문자",
		["What text this event modifier shows."] = "해당 이벤트 수정자 표시 문자를 선택합니다.",
		["Physical"] = "물리",
		["Holy"] = "신성",
		["Fire"] = "화염",
		["Nature"] = "자연",
		["Frost"] = "냉기",
		["Shadow"] = "암흑",
		["Arcane"] = "비전",
		["What color this damage type takes on."] = "받은 해당 피해 유형의 색상을 선택합니다.",
		["Inherit"] = "상속",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["<Tag>"] = "<태그>",
		["Uncategorized"] = "분류",
		["Tag"] = "태그",
		["Tag to show for the current event."] = "현재 이벤트 표시를 위한 태그입니다.",
		["Color of the text for the current event."] = "현재 이벤트에 대한 글자의 색상입니다.",
		["Sound"] = "소리",
		["What sound to play when the current event occurs."] = "현재 이벤트 발생시 재생할 소리를 선택하세요.",
		["Sticky"] = "접착성",
		["Whether the current event should be classified as \"Sticky\""] = "현재 이벤트를 \"접착성\"으로 표시 할 지를 선택합니다.",
		["Custom font"] = "사용자 글꼴",
		["Font face"] = "글꼴체",
		["Inherit font size"] = "일반 상속 글꼴 크기",
		["Font size"] = "글꼴 크기",
		["Font outline"] = "글꼴 외각선",
		["Enable the current event."] = "현재 이벤트를 사용합니다.",
		["Scroll area"] = "스크롤 영역",
		["Which scroll area to use."] = "사용할 스크롤 영역을 선택합니다.",
		["What timespan to merge events within.\nNote: a time of 0s means no throttling will occur."] = "지정한 시간안에 발생하는 트리거를 합쳐서 표현 할지 정합니다.\n팁: 값을 '0'으로 할 경우 트리거 합치기는 작동하지 않습니다.",
		["What amount to filter out. Any amount below this will be filtered.\nNote: a value of 0 will mean no filtering takes place."] = "필터링할 최소 값을 정합니다. 얼마든지 정해진 이하의 값을 가진 데이터는 출력하지 않습니다.\n'0'값은 필터링을 하지 않습니다.",
		["The amount of damage absorbed."] = "흡수된 피해량 입니다.",
		["The amount of damage blocked."] = "방어한 피해량 입니다.",
		["The amount of damage resisted."] = "저항한 피해량 입니다.",
		["The amount of vulnerability bonus."] = "약점 보너스 피해량 입니다.",
		["The amount of overhealing."] = "초과 치유량 입니다.",
		["The normal text."] = "일반 글자입니다.",
	},
	["Parrot_Display"] = {
		["None"] = "없음",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["Text transparency"] = "문자 투명도",
		["How opaque/transparent the text should be."] = "문자들의 투명도를 조절합니다.",
		["Icon transparency"] = "아이콘 투명도",
		["How opaque/transparent icons should be."] = "아이콘들의 투명도를 조절합니다.",
		["Enable icons"] = "아이콘 사용",
		["Set whether icons should be enabled or disabled altogether."] = "아이콘 기능을 사용할지 여부를 선택하세요.",
		["Master font settings"] = "기본 글꼴 설정",
		["Normal font"] = "일반 글꼴",
		["Normal font face."] = "일반 글꼴체입니다.",
		["Normal font size"] = "일반 글꼴 크기",
		["Normal outline"] = "일반 외곽선",
		["Sticky font"] = "접착성 글꼴",
		["Sticky font face."] = "접착성 글꼴체입니다.",
		["Sticky font size"] = "접착성 글꼴 크기",
		["Sticky outline"] = "접착성 외곽선",
	},
	["Parrot_ScrollAreas"] = {
		["Incoming"] = "받는 메시지",
		["Outgoing"] = "보내는 메시지",
		["Notification"] = "알림 메시지",
		["New scroll area"] = "새 스크롤 영역",
		["Inherit"] = "상속",
		["None"] = "없음",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["Left"] = "좌측",
		["Right"] = "우측",
		["Disable"] = "사용 안함",
		["Options for this scroll area."] = "해당 스크롤 영역에 대한 설정입니다.",
		["Name"] = "이름",
		["Name of the scroll area."] = "스크롤 영역의 이름입니다.",
		["<Name>"] = "<이름>",
		["Remove"] = "제거",
		["Remove this scroll area."] = "해당 스크롤 영역을 제거합니다.",
		["Icon side"] = "아이콘 표시",
		["Set the icon side for this scroll area or whether to disable icons entirely."] = "스크롤 텍스트에 아이콘을 표시합니다.",
		["Test"] = "테스트",
		["Send a test message through this scroll area."] = "해당 스크롤 영역을 통해 테스트 메세지를 보냅니다.",
		["Normal"] = "일반",
		["Send a normal test message."] = "일반 테스트 메세지를 보냅니다.",
		["Sticky"] = "접착성",
		["Send a sticky test message."] = "접착성 테스트 메세지를 보냅니다.",
		["Direction"] = "방향",
		["Which direction the animations should follow."] = "문자의 스크롤 방향을 설정합니다.",
		["Direction for normal texts."] = "일반 문자의 방향을 설정합니다.",
		["Direction for sticky texts."] = "접착성 텍스트의 방향을 설정합니다.",
		["Animation style"] = "애니메이션 스타일",
		["Which animation style to use."] = "사용할 애니메이션 스타일을 선택합니다.",
		["Animation style for normal texts."] = "일반 문자에 대한 애니메이션 형태입니다.",
		["Animation style for sticky texts."] = "접착성 문자에 대한 애니메이션 형태입니다.",
		["Position: horizontal"] = "위치: 수평",
		["The position of the box across the screen"] = "박스가 화면에서 위치할 수평값을 정하세요.",
		["Position: vertical"] = "위치: 수직",
		["The position of the box up-and-down the screen"] = "박스가 화면에서 위치할 수직값을 정하세요.",
		["Size"] = "크기",
		["How large of an area to scroll."] = "스크롤 할 영역의 크기를 설정합니다.",
		["Scrolling speed"] = "스크롤 속도",
		["How fast the text scrolls by."] = "문자 스크롤의 속도를 설정합니다.",
		["Seconds for the text to complete the whole cycle, i.e. larger numbers means slower."] = "문자가 1주기를 완료하는데 걸리는 시간(초)입니다. 큰 숫자일수록 느려집니다.",
		["Custom font"] = "사용자 글꼴",
		["Normal font face"] = "일반 글꼴체",
		["Normal inherit font size"]  = "일반 상속 글꼴 크기",
		["Normal font size"] = "일반 글꼴 크기",
		["Normal font outline"] = "일반 글꼴 외곽선",
		["Sticky font face"] = "접착성 글꼴체",
		["Sticky inherit font size"] = "접착성 상속 글꼴 크기",
		["Sticky font size"] = "접착성 글꼴 크기",
		["Sticky font outline"] = "접착성 글꼴 외곽선",
		["Click and drag to the position you want."]  = "원하는 위치로 이동하려면 클릭 후 드래그 하세요.",
		["Scroll area: %s"] = "스크롤 영역: %s",
		["Position: %d, %d"] = "위치: %d，%d",
		["Scroll areas"] = "스크롤 영역",
		["Options regarding scroll areas."] = "스크롤 영역에 관한 설정입니다.",
		["Configuration mode"] = "환경설정 모드",
		["Enter configuration mode, allowing you to move around the scroll areas and see them in action."] = "스크롤 영역을 이동할 수 있는 환경 설정 모드로 변경합니다.",
		["New scroll area"] = "새 스크롤 영역",
		["Add a new scroll area."] = "새로운 스크롤 영역을 추가합니다.",
		--new below
		["Center of screen"] = "화면의 중앙",
  	 	["Edge of screen"] = "화면의 가장자리",
  	 	["Create"] = "생성",
  	 	["Are you sure?"] = "정말로 하시겠습니까?",
  	 	["Send"] = "보냄",
	},
	["Parrot_Suppressions"] = {
		["New suppression"] = "새로운 차단",
		["Edit"] = "편집",
		["Edit search string"] = "검색 문자열을 편집합니다.",
		["<Any text> or <Lua search expression>"] = "<문자열> 혹은 <Lua 검색 표현식>",
		["Lua search expression"] = "Lua 검색 표현식",
		["Whether the search string is a lua search expression or not."] = "Whether the search string is a lua search expression or not.",
		["Remove"] = "제거",
		["Remove suppression"] = "차단 제거",
		["Suppressions"] = "차단",
		["List of strings that will be squelched if found."] = "차단할 문자열을 등록합니다.",
		["Add a new suppression."] = "새로운 차단을 추가합니다.",
		--new below
  	 	["Create"] = "생성",
	},
	["Parrot_Triggers"] = {
		["%s!"] = "%s!",
		["Low Health!"] = "생명력 낮음!",
		["Low Mana!"] = "마나 낮음!",
		["Low Pet Health!"] = "소환수 생명력 낮음!",
		["Free %s!"] = "자유 %s!",
		["Trigger cooldown"] = "재사용 시간 트리거",
		["Check every XX seconds"] = "매 XX 초마다 체크합니다.",
		["Triggers"] = "트리거",
		["New trigger"] = "새로운 트리거",
		["Create a new trigger"] = "새로운 트리거를 생성합니다.",
		["Inherit"] = "상속",
		["None"] = "없음",
		["Thin"] = "얇게",
		["Thick"] = "두껍게",
		["Druid"] = "드루이드",
		["Rogue"] = "도적",
		["Shaman"] = "주술사",
		["Paladin"] = "성기사",
		["Mage"] = "마법사",
		["Warlock"] = "흑마법사",
		["Priest"] = "사제",
		["Warrior"] = "전사",
		["Hunter"] = "사냥꾼",
		["Output"] = "출력",
		["The text that is shown"] = "표시할 문자",
		['<Text to show>'] = "<표시할 문자>",
		["Icon"] = "아이콘",
		["The icon that is shown"] = "표시할 아이콘",
		['<Spell name> or <Item name> or <Path> or <SpellId>'] = "<주문명> 또는 <아이템 이름> 또는 <경로> 또는 <SpellId>",--need locale
		["Enabled"] = "사용",
		["Whether the trigger is enabled or not."] = "트리거를 사용하거나 사용하지 않습니다.",
		["Remove trigger"] = "트리거 제거",
		["Remove this trigger completely."] = "해당 트리거를 완전히 제거합니다.",
		["Color"] = "색상",
		["Color of the text for this trigger."] = "해당 트리거에 대한 문자의 색상입니다.",
		["Sticky"] = "접착성",
		["Whether to show this trigger as a sticky."] = "해당 트리거를 접착성으로 표시합니다.",
		["Classes"] = "직업",
		["Classes affected by this trigger."] = "해당 트리거를 적용할 직업입니다.",
		["Scroll area"] = "스크롤 영역",
		["Which scroll area to output to."] = "출력할 스크롤 영역을 선택합니다.",
		["Sound"] = "소리",
		["What sound to play when the trigger is shown."] = "트리거 작동시 출력할 소리를 정합니다.",
		["Test"] = "테스트",
		["Test how the trigger will look and act."] = "현재 트리거 작동시 보여지는 것을 미리 확인 하세요.",
		["Custom font"] = "사용자 글꼴",
		["Font face"] = "글꼴체",
		["Inherit font size"] = "상속 글꼴 크기",
		["Font size"] = "글꼴 크기",
		["Font outline"] = "글꼴 외곽선",
		["Primary conditions"] = "1차 조건",
		["When any of these conditions apply, the secondary conditions are checked."] = "트리거가 작동할 첫번째 조건을 선택하세요.",
		["New condition"] = "새로운 조건",
		["Add a new primary condition"] = "새로운 1차 조건을 추가합니다.",
		["Remove condition"] = "조건 제거",
		["Remove a primary condition"] = "1차 조건을 제거합니다.",
		["Secondary conditions"] = "2차 조건",
		["When all of these conditions apply, the trigger will be shown."] = "트리거가 작동할 두번째 조건을 선택하세요.",
		["Add a new secondary condition"] = "새로운 2차 조건을 추가합니다.",
		["Remove a secondary condition"] = "2차 조건을 제거합니다.",
		--new below
  	 	["Create"] = "생성",
  	 	["Remove"] = "제거",
  	 	["Are you sure?"] = "정말로 하시겠습니까?",
	},
	["Parrot_AnimationStyles"] = {
		["Straight"] = "직선",
		["Up, left-aligned"] = "위로, 좌측 정렬",
		["Up, right-aligned"] = "위로, 우측 정렬",
		["Up, center-aligned"] = "위로, 가운데 정렬",
		["Down, left-aligned"] = "아래로, 좌측 정렬",
		["Down, right-aligned"] = "아래로, 우측 정렬",
		["Down, center-aligned"] = "아래로, 가운데 정렬",
		["Parabola"] = "곡선",
		["Up, left"] = "위로, 좌측",
		["Up, right"] = "위로, 우측",
		["Up, alternating"] = "위로, 교차",
		["Down, left"] = "아래로, 좌측",
		["Down, right"] = "아래로, 우측",
		["Down, alternating"] = "아래로, 교차",
		["Semicircle"] = "반원",
		["Pow"] = "지진",
		["Static"] = "고정",
		["Rainbow"] = "무지개",
		["Horizontal"] = "수평",
		["Left"] = "좌측",
		["Right"] = "우측",
		["Alternating"] = "교차",
		["Action"] = "액션",
		["Action Sticky"] = "고정 고정",
		["Angled"] = "모서리",
		["Sprinkler"] = "스프링클러",
		["Up, clockwise"] = "위로, 시계방향" ,
		["Down, clockwise"] = "아래로, 시계방향",
		["Left, clockwise"] = "좌측, 시계방향",
		["Right, clockwise"] = "우측, 시계방향",
		["Up, counter-clockwise"] = "위로, 반시계방향",
		["Down, counter-clockwise"] = "아래로, 반시계방향",
		["Left, counter-clockwise"] = "좌측, 반시계방향",
		["Right, counter-clockwise"] = "우측, 반시계방향",
	},
	["Parrot_Auras"] = {
		["Auras"] = "오라",
		["Debuff gains"] = "디버프 획득",
		["The name of the debuff gained."] = "획득한 디버프 이름",
		["Buff gains"] = "버프 획득",
		["The name of the buff gained."] = "획득한 버프 이름",
		["Item buff gains"] = "아이템 버프 획득",
		["The name of the item buff gained."] = "획득한 아이템 버프 이름",
		["The rank of the item buff gained."] = "획득한 아이템 버프 레벨",
		["Debuff fades"] = "디버프 사라짐",
		["The name of the debuff lost."] = "사라진 디버프 이름",
		["Buff fades"] = "버프 사라짐",
		["The name of the buff lost."] = "사라진 버프 이름",
		["Item buff fades"] = "아이템 버프 사라짐",
		["The name of the item buff lost."] = "사라진 아이템 버프 이름",
		["The rank of the item buff lost."] = "사라진 아이템 버프 레벨",
		["Self buff gain"] = "자신 버프 획득",
		["<Buff name>"] = "<버프 이름>",
		["Self buff fade"] = "자신 버프 사라짐",
		["Self debuff gain"] = "자신 디버프 획득",
		["<Debuff name>"] = "<디버프 이름>",
		["Self debuff fade"] = "자신 디버프 사라짐",
		["Self item buff gain"] = "자신 아이템 버프 획득",
		["<Item buff name>"] = "<아이템 버프 이름>",
		["Self item buff fade"] = "자신 아이템 버프 사라짐",
		["Target buff gain"] = "대상 버프 획득",
		["Target debuff gain"] = "대상 디버프 획득",
		["Buff inactive"] = "활동하지 않는 버프",
		["Buff active"] = "버프 발동",
	},
	["Parrot_CombatEvents_Data"] = {
		["Incoming damage"] = "들어오는 데미지",
		["Melee damage"] = "근접 피해",
		["Melee"] = "근접",
		["The name of the enemy that attacked you."] = "당신을 공격한 적의 이름입니다.",
		["The amount of damage done."] = "입힌 피해량입니다.",
		[" (%d hit, %d crit)"] = " (%d 타격, %d 치명타)",
		[" (%d hit, %d crits)"] = " (%d 타격, %d 치명타)",
		[" (%d hits, %d crit)"] = " (%d 타격, %d 치명타)",
		[" (%d hits, %d crits)"] = " (%d 타격, %d 치명타)",
		[" (%d crits)"] = " (%d 치명타)",
		[" (%d hits)"] = " (%d 타격)",
		["Multiple"] = "복합",
		["Melee misses"] = "근접 빗맞힘",
		["Miss!"] = "빗맞힘!",
		["Melee dodges"] = "근접 회피",
		["Dodge!"] = "피함!",
		["Melee parries"] = "근접 막음",
		["Parry!"] = "막음!",
		["Melee blocks"] = "근접 방어",
		["Block!"] = "방어!",
		["Melee absorbs"] = "근접 흡수",
		["Absorb!"] = "흡수!",
		["Melee immunes"] = "근접 면역",
		["Immune!"] = "면역!",
		["Melee evades"] = "근접 빗나감",
		["Evade!"] = "빗나감!",
		["Skills"] = "기술",
		["Skill damage"] = "기술 피해",
		["The type of damage done."] = "입힌 피해의 유형입니다.",
		["The spell or ability that the enemy attacked you with."] = "당신을 공격한 적의 주문 혹은 기술입니다.",
		["DoTs and HoTs"] = "지속적인 피해/치유",
		["Skill DoTs"] = "기술 주기적인 피해",
		["Ability misses"] = "기술 빗맞힘",
		["Ability dodges"] = "기술 피함",
		["Ability parries"] = "기술 막음",
		["Ability blocks"] = "기술 방어",
		["Spell resists"] = "주문 저항",
		["Resist!"] = "저항!",
		["Skill absorbs"] = "기술 흡수",
		["Skill immunes"] = "기술 면역",
		["Skill reflects"] = "기술 반사",
		["Reflect!"] = "반사!",
		["Skill interrupts"] = "기술 차단",
		["Interrupt!"] = "차단!",
		["Incoming heals"] = "들어오는 치유",
		["Heals"] = "치유",
		["The name of the ally that healed you."] = "당신을 치유한 아군의 이름입니다.",
		["The spell or ability that the ally healed you with."] = "당신을 치유한 아군의 주문 혹은 기술입니다.",
		["The amount of healing done."] = "치유량입니다.",
		[" (%d heal, %d crit)"] = " (%d 치유，%d 극대화)",
		[" (%d heal, %d crits)"] = " (%d 치유，%d 극대화)",
		[" (%d heals, %d crit)"] = " (%d 치유，%d 극대화)",
		[" (%d heals, %d crits)"] = " (%d 치유，%d 극대화)",
		[" (%d heals)"] = " (%d 치유)",
		["Heals over time"] = "지속적인 치유",
		["Environmental damage"] = "환경 피해",
		["Outgoing damage"] = "나가는 데미지",
		["The name of the enemy you attacked."] = "당신이 공격한 적의 이름입니다.",
		["The spell or ability that you used."] = "당신이 사용한 주문 혹은 기술입니다.",
		["Skill evades"] = "기술 빗나감",
		["Outgoing heals"] = "나가는 치유",
		["The name of the ally you healed."] = "당신이 치유한 아군의 이름입니다.",
		["Pet melee"] = "소환수 근접",
		["Pet melee damage"] = "소환수 근접 피해",
		["Pet [Amount]"] = "소환수 [Amount]",
		["(Pet) +[Amount]"] = "(소환수) +[Amount]",
		["Pet heals"] = "소환수 치유",
		["The name of the enemy your pet attacked."] = "당신의 소환수가 공격한 적의 이름입니다.",
		["Pet melee misses"] = "소환수 근접 빗맞힘",
		["Pet Miss!"] = "소환수 빗맞힘!",
		["Pet melee dodges"] = "소환수 근접 피함",
		["Pet Dodge!"] = "소환수 피함!",
		["Pet melee parries"] = "소환수 근접 막음",
		["Pet Parry!"] = "소환수 막음!",
		["Pet melee blocks"] = "소환수 근접 방어",
		["Pet Block!"] = "소환수 방어!",
		["Pet melee absorbs"] = "소환수 근접 흡수",
		["Pet Absorb!"] = "소환수 흡수!",
		["Pet melee immunes"] = "소환수 근접 면역",
		["Pet Immune!"] = "소환수 면역!",
		["Pet melee evades"] = "소환수 근접 빗나감",
		["Pet Evade!"] = "소환수 빗나감!",
		["Pet skills"] = "소환수 기술",
		["Pet skill"] = "소환수 기술",
		["Pet skill damage"] = "소환수 기술 피해",
		["Pet [Amount] ([Skill])"] = "소환수 [Amount] ([Skill])",
		["The ability or spell your pet used."] = "당신의 소환수가 사용한 기술 혹은 주문입니다.",
		["Pet ability misses"] = "소환수 기술 빗맞힘",
		["Pet ability dodges"] = "수환수 기술 피함",
		["Pet ability parries"] = "소환수 기술 막음",
		["Pet ability blocks"] = "소환수 기술 방어",
		["Pet spell resists"] = "소환수 주문 저항",
		["Pet Resist!"] = "소환수 저항!",
		["Pet skill absorbs"] = "소환수 기술 흡수",
		["Pet skill immunes"] = "소환수 기술 면역",
		["Pet skill reflects"] = "소환수 기술 반사",
		["Pet Reflect!"] = "소환수 반사!",
		["Pet skill evades"] = "소환수 기술 빗나감",
		["Combat status"] = "전투 상황",
		["Enter combat"] = "전투 시작",
		["Leave combat"] = "전투 종료",
		["Power gain/loss"] = "파워 획득/손실",
		["Power change"] = "파워 변동",
		["Power gain"] = "파워 획득",
		["+[Amount] [Type]"] = "+[Amount] [Type]",
		["The amount of power gained."] = "획득한 파워 수치입니다.",
		["The type of power gained (Mana, Rage, Energy)."] = "파워 획득 유형입니다. (마나, 분노, 기력)",
		["The ability or spell used to gain power."] = "파워 획득에 사용된 기술 혹은 주문입니다.",
		["The character that the power comes from."] = "파워를 빼앗은 케릭터입니다.",
		[" (%d gains)"] = " (%d 획득)",
		["Power loss"] = "파워 손실",
		["-[Amount] [Type]"] = "-[Amount] [Type]",
		["The amount of power lost."] = "손실된 파워 수치입니다.",
		["The type of power lost (Mana, Rage, Energy)."] = "파워 손실 유형입니다. (마나, 분노, 기력)",
		["The ability or spell take away your power."] = "당신의 파워를 뺏앗아 간 기술 혹은 주문입니다.",
		["The character that caused the power loss."] = "파워 손실을 일으킨 캐릭터입니다",
		[" (%d losses)"] = " (%d 손실)",
		["Combo points"] = "연계 포인트",
		["Combo point gain"] = "연계 포인트 획득",
		["[Num] CP"] = "[Num] 연계",
		["The current number of combo points."] = "현재 연계 포인트 개수입니다.",
		["Combo points full"] = "연계 포인트 충만",
		["[Num] CP Finish It!"] = "[Num] 연계 포인트 마무리!",
		["Honor gains"] = "명예 획득",
		["The amount of honor gained."] = "획득한 명예 수치입니다.",
		["The name of the enemy slain."] = "죽인 적의 이름입니다.",
		["The rank of the enemy slain."] = "죽인 적의 계급입니다.",
		["Reputation"] = "평판",
		["Reputation gains"] = "평판 획득",
		["The amount of reputation gained."] = "획득한 평판 수치입니다.",
		["The name of the faction."] = "진영명입니다.",
		["Reputation losses"] = "평판 손실",
		["The amount of reputation lost."] = "손실된 평판 수치입니다.",
		["Skill gains"] = "기술 획득",
		["The skill which experienced a gain."] = "경험치를 획득한 기술입니다.",
		["The amount of skill points currently."] = "현재 스킬 포인트입니다.",
		["Experience gains"] = "경험치 획득",
		["The name of the enemy slain."] = "죽인 적의 이름입니다.",
		["The amount of experience points gained."] = "획득한 경험치 수치입니다.",
		["Killing blows"] = "결정타",
		["Player killing blows"] = "플레이어 죽임 알림",
		["Killing Blow!"] = "죽임!",
		["The spell or ability used to slay the enemy."] = "적을 죽인 주문 혹은 기술입니다.",
		["NPC killing blows"] = "NPC 죽임 알림",
		["Soul shard gains"] = "영혼석 획득",
		["The name of the soul shard."] = "영혼석 이름 입니다.",
		["Extra attacks"] = "추가 공격",
		["%s!"] = "%s!",
		["The name of the spell or ability which provided the extra attacks."] = "추가 공격을 제공한 주문 혹은 기술명 입니다.",
		--new below
		["Self heals"] = "자신 치유",
		["Self heals over time"] = "자신의 지속 치유 ",
		["Pet skill DoTs"] = "소환수 DOT 스킬",
		["Skill you were interrupted in casting"] = "당신이 시전 방해 받은 기술",
		["The spell you interrupted"] = "당신이 방해한 주문",
	},
	["Parrot_Cooldowns"] = {
		["Cooldowns"] = "재사용 대기시간",
		["Skill cooldown finish"] = "기술 재사용 대기시간 완료",
		["[[Skill] ready!]"] = "> [Skill] 사용 가능! <",
		["The name of the spell or ability which is ready to be used."] = "사용할 준비가 된 주문이나 능력의 이름",
		["Traps"] = "덫류",
		["Shocks"] = "충격류",
		["Divine Shield"] = "천상의 보호막",
		["%s Tree"] = "%s Tree",
		["Spell ready"] = "주문/스킬 준비 완료",
		["<Spell name>"] = "<주문 이름>",
	},
	["Parrot_Loot"] = {
		["Loot"] = "획득",
		["Loot items"] = "아이템 획득",
		["Loot [Name] +[Amount]([Total])"] = "[Name] +[Amount]([Total]) 획득",
		["The name of the item."] = "아이템의 이름",
		["The amount of items looted."] = "획득한 아이템의 수량",
		["The total amount of items in inventory."] = "가방에 있는 아이템의 총 수량",
		["Loot money"] = "골드 획득",
		["Loot +[Amount]"] = "+[Amount] 획득",
		["The amount of gold looted."] = "획득한 골드의 양",
	},
	["Parrot_TriggerConditions_Data"] = {
		["Enemy target health percent"] = "적대적 대상 생명력 백분율",
		["Friendly target health percent"] = "우호적 대상 생명력 백분율",
		["Self health percent"] = "자신의 생명력 백분율",
		["Self mana percent"] = "자신의 마나 백분율",
		["Pet health percent"] = "소환수의 생명력 백분율",
		["Incoming block"] = "들어오는 방어",
		["Incoming crit"] = "들어오는 치명타",
		["Incoming dodge"] = "들어오는 회피",
		["Incoming parry"] = "들어오는 막음",
		["Outgoing block"] = "나가는 방어",
		["Outgoing crit"] = "나가는 치명타",
		["Outgoing dodge"] = "나가는 회피",
		["Outgoing parry"] = "나가는 막음",
		["Outgoing cast"] = "나가는 주문",
		["<Skill name>"] = "<주문 이름>",
		["Incoming cast"] = "들어오는 주문",
		["Minimum power amount"] = "최소 파워 수치",
		["Warrior stance"] = "전사 태세",
		["Not in warrior stance"] = "전투태세 아닐때",
		["Battle Stance"] = "전투 태세",
		["Defensive Stance"] = "방어 태세",
		["Berserker Stance"] = "광폭 태세",
	},
	["Parrot_CombatStatus"] = {
		["Combat status"] = "전투 상황",
		["Enter combat"] = "전투 시작",
		["+Combat"] = "+전투",
		["Leave combat"] = "전투 종료",
		["-Combat"] = "-전투",
		["In combat"] = "전투중",
		["Not in combat"] = "비전투중",
	},
} end

if GetLocale() == "frFR" then localeTables = {
	["Parrot"] = {
		["Parrot"] = "Parrot",
		["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."] = "Texte de combat flottant. Croac. Coco veut un gâteau.",
		["Inherit"] = "Par héritage",
		["Parrot Configuration"] = "Configuration de Parrot",
		["Waterfall-1.0 is required to access the GUI."] = "Waterfall-1.0 est requis pour accéder au GUI.",
		["General"] = "Général",
		["General settings"] = "Permet de configurer les paramètres généraux.",
		["Game damage"] = "Dégâts du jeu",
		["Whether to show damage over the enemy's heads."] = "Affiche ou non les dégâts au dessus de la tête des ennemis.",
		["Game healing"] = "Soins du jeu",
		["Whether to show healing over the enemy's heads."] = "Affiche ou non les soins au dessus de la tête des alliés.",
		["|cffffff00Left-Click|r to change settings with a nice GUI configuration."] = "|cffffff00Clic-gauche|r pour modifier les paramètres via une fenêtre de configuration.",
		["|cffffff00Right-Click|r to change settings with a drop-down menu."] = "|cffffff00Clic-droit|r pour modifier les paramètres via un menu déroulant.",
	},
	["Parrot_CombatEvents"] = {
		["[Text] (crit)"] = "[Text] (crit)",
		["[Text] (crushing)"] = "[Text] (écrase)",
		["[Text] (glancing)"] = "[Text] (érafle)",
		[" ([Amount] absorbed)"] = " ([Amount] absorbés)",
		[" ([Amount] blocked)"] = " ([Amount] bloqués)",
		[" ([Amount] resisted)"] = " ([Amount] résistés)",
		[" ([Amount] vulnerable)"] = " ([Amount] de vulnérabilité)",
		[" ([Amount] overheal)"] = " ([Amount] en excès)",
		["Events"] = "Événements",
		["Change event settings"] = "Modifie les paramètres des événements.",
		["Incoming"] = "Entrants",
		["Incoming events are events which a mob or another player does to you."] = "Les événements entrants sont les événements que les monstres et les autres joueurs font sur vous.",
		["Outgoing"] = "Sortants",
		["Outgoing events are events which you do to a mob or another player."] = "Les événements sortants sont les événements que vous faites sur les montres et les autres joueurs.",
		["Notification"] = "Notification",
		["Notification events are available to notify you of certain actions."] = "Les événements de notification vous préviennent de certaines actions.",
		["Event modifiers"] = "Modificateurs d'événements",
		["Options for event modifiers."] = "Options concernant les modificateurs d'événements.",
		["Color"] = "Couleur",
		["Whether to color event modifiers or not."] = "Colorie ou non les modificateurs d'événements.",
		["Damage types"] = "Types de dégâts",
		["Options for damage types."] = "Options concernant les types de dégâts.",
		["Whether to color damage types or not."] = "Colorie ou non les types de dégâts.",
		["Sticky crits"] = "Critiques en évidence",
		["Enable to show crits in the sticky style."] = "Affiche ou non les critiques dans le style En évidence.",
		["Throttle events"] = "Rassemblement d'événements",
		["Whether to merge mass events into single instances instead of excessive spam."] = "Fusionne ou non plusieurs événements ensemble au lieu d'un spam excessif.",
		["Filters"] = "Filtres",
		["Filters to be checked for a minimum amount of damage/healing/etc before showing."] = "Détermine les filtres à vérifier avant affichage des dégâts/soins/etc.",
		["Shorten spell names"] = "Noms des sorts raccourcis",
		["How or whether to shorten spell names."] = "Détermine s'il faut raccourcir ou non les noms des sorts et comment.",
		["Style"] = "Style",
		["How or whether to shorten spell names."] = "Détermine s'il faut raccourcir ou non les noms des sorts et comment.",
		["None"] = "Aucun",
		["Abbreviate"] = "Abbrévier",
		["Truncate"] = "Tronquer",
		["Do not shorten spell names."] = "Ne raccourci pas les noms des sorts.",
		["Gift of the Wild => GotW."] = "Marque du fauve => MdF",
		["Gift of the Wild => Gift of t..."] = "Marque du fauve => Marque du f...",
		["Length"] = "Longueur",
		["The length at which to shorten spell names."] = "Détermine la longueur à partir de laquelle les noms des sorts sont raccourcis.",
		["Critical hits/heals"] = "Soins/coups critiques",
		["Crushing blows"] = "Coups écrasants",
		["Glancing hits"] = "Coups éraflés",
		["Partial absorbs"] = "Absorbés partiellement",
		["Partial blocks"] = "Bloqués partiellement",
		["Partial resists"] = "Résistés partiellement",
		["Vulnerability bonuses"] = "Bonus de vulnérabilité",
		["Overheals"] = "Soins en excès",
		["<Text>"] = "<Texte>",
		["Enabled"] = "Activé",
		["Whether to enable showing this event modifier."] = "Affiche ou non ce modificateur d'événements.",
		["What color this event modifier takes on."] = "Détermine la couleur à utiliser pour ce modificateur d'événements.",
		["Text"] = "Texte",
		["What text this event modifier shows."] = "Détermine le texte à afficher pour ce modificateur d'événements.",
		["Physical"] = "Physique",
		["Holy"] = "Sacré",
		["Fire"] = "Feu",
		["Nature"] = "Nature",
		["Frost"] = "Givre",
		["Shadow"] = "Ombre",
		["Arcane"] = "Arcanes",
		["What color this damage type takes on."] = "Détermine la couleur à utiliser pour ce type de dégâts.",
		["Inherit"] = "Par héritage",
		["Thin"] = "Fin",
		["Thick"] = "Épais",
		["<Tag>"] = "<Tag>",
		["Uncategorized"] = "Non répertorié",
		["Tag"] = "Tag",
		["Tag to show for the current event."] = "Détermine le tag à afficher pour l'événement actuel.",
		["Color of the text for the current event."] = "Colorie le texte de l'événement actuel.",
		["Sound"] = "Son",
		["What sound to play when the current event occurs."] = "Détermine le son à jouer quand l'événement actuel se produit.",
		["Sticky"] = "En évidence",
		["Whether the current event should be classified as \"Sticky\""] = "Classe ou non l'événement actuel comme étant \"En évidence\"",
		["Custom font"] = "Police perso",
		["Font face"] = "Type de police",
		["Inherit font size"] = "Hériter de la taille de la police",
		["Font size"] = "Taille de la police",
		["Font outline"] = "Contour de la police",
		["Enable the current event."] = "Active l'événement actuel.",
		["Scroll area"] = "Zone de défilement",
		["Which scroll area to use."] = "Détermine la zone de défilement à utiliser.",
		["What timespan to merge events within.\nNote: a time of 0s means no throttling will occur."] = "Détermine le laps de temps pendant lequel les événements seront rassemblés.\nNote : un laps de 0s signife qu'aucun rassemblement ne sera fait.",
		["What amount to filter out. Any amount below this will be filtered.\nNote: a value of 0 will mean no filtering takes place."] = "Détermine la quantité à filter. Toute quantité inférieure sera filtrée.\nNotes : une valeur de 0 signifie qu'aucun filtrage ne sera fait.",
		["The amount of damage absorbed."] = "La quantité de dégâts absorbés.",
		["The amount of damage blocked."] = "La quantité de dégâts bloqués.",
		["The amount of damage resisted."] = "La quantité de dégâts résistés.",
		["The amount of vulnerability bonus."] = "La quantité de dégâts du bonus de vulnérabilité.",
		["The amount of overhealing."] = "La quantité de soins en excès.",
		["The normal text."] = "Le texte normal.",
	},
	["Parrot_Display"] = {
		["None"] = "Aucun",
		["Thin"] = "Mince",
		["Thick"] = "Épais",
		["Text transparency"] = "Transparence du texte",
		["How opaque/transparent the text should be."] = "Détermine la transparence du texte.",
		["Icon transparency"] = "Transparence des icônes",
		["How opaque/transparent icons should be."] = "Détermine la transparence des icônes.",
		["Enable icons"] = "Activer les icônes",
		["Set whether icons should be enabled or disabled altogether."] = "Affiche ou non les icônes.",
		["Master font settings"] = "Paramètres de la police principale",
		["Normal font"] = "Police normale",
		["Normal font face."] = "Détermine la police d'écriture  à utiliser pour le texte normal.",
		["Normal font size"] = "Taille de la police normale",
		["Normal outline"] = "Contour de la police normale",
		["Sticky font"] = "Police en évidence",
		["Sticky font face."] = "Détermine la police d'écriture à utiliser pour les événements mis en évidence.",
		["Sticky font size"] = "Taille de la police en évidence",
		["Sticky outline"] = "Contour de la police en évidence",
	},
	["Parrot_ScrollAreas"] = {
		["Incoming"] = "Entrant",
		["Outgoing"] = "Sortant",
		["Notification"] = "Notification",
		["New scroll area"] = "Nouvelle zone de défilement",
		["Inherit"] = "Par héritage",
		["None"] = "Aucun",
		["Thin"] = "Fin",
		["Thick"] = "Épais",
		["Left"] = "Gauche",
		["Right"] = "Droite",
		["Disable"] = "Désactiver",
		["Options for this scroll area."] = "Options concernant cette zone de défilement.",
		["Name"] = "Nom",
		["Name of the scroll area."] = "Nom de la zone de défilement.",
		["<Name>"] = "<Nom>",
		["Remove"] = "Enlever",
		["Remove this scroll area."] = "Enlève cette zone de défilement.",
		["Icon side"] = "Côté de l'icône",
		["Set the icon side for this scroll area or whether to disable icons entirely."] = "Détermine de quel côté s'affichera les icônes pour cette zone de défilement, ou s'ils doivent être masqués.",
		["Test"] = "Test",
		["Send a test message through this scroll area."] = "Envoye un message de test dans cette zone de défilement.",
		["Normal"] = "Normal",
		["Send a normal test message."] = "Envoye un message de test normal.",
		["Sticky"] = "En évidence",
		["Send a sticky test message."] = "Envoye un message de test en évidence.",
		["Direction"] = "Direction",
		["Which direction the animations should follow."] = "Détermine la direction que les animations doivent suivre.",
		["Direction for normal texts."] = "Direction des textes normaux.",
		["Direction for sticky texts."] = "Direction des textes en évidence.",
		["Animation style"] = "Style d'animation",
		["Which animation style to use."] = "Détermine le style d'animation à utiliser.",
		["Animation style for normal texts."] = "Style d'animation pour les textes normaux.",
		["Animation style for sticky texts."] = "Style d'animation pour les textes en évidence.",
		["Position: horizontal"] = "Position : horizontale",
		["The position of the box across the screen"] = "La position horizontale de la boîte sur l'écran.",
		["Position: vertical"] = "Position : verticale",
		["The position of the box up-and-down the screen"] = "La position verticale de la boîte sur l'écran.",
		["Size"] = "Taille",
		["How large of an area to scroll."] = "Détermine la largeur de la zone de défilement.",
		["Scrolling speed"] = "Vitesse de défilement",
		["How fast the text scrolls by."] = "Détermine la rapidité avec laquelle le texte défile.",
		["Seconds for the text to complete the whole cycle, i.e. larger numbers means slower."] = "Le nombre de secondes pendant lesquelles le texte devra faire tout le cycle. Par exemple, de gros nombres rend le texte lent.",
		["Custom font"] = "Police perso",
		["Normal font face"] = "Police d'écriture normale",
		["Normal inherit font size"]  = "Hériter de la taille de la police normale",
		["Normal font size"] = "Taille de la police normale",
		["Normal font outline"] = "Contour de la police normale",
		["Sticky font face"] = "Police d'écriture en évidence",
		["Sticky inherit font size"] = "Hériter de la taille de la police en évidence",
		["Sticky font size"] = "Taille de la police en évidence",
		["Sticky font outline"] = "Contour de la police en évidence",
		["Click and drag to the position you want."]  = "Cliquer et saisir vers la position désirée.",
		["Scroll area: %s"] = "Zone de défilement : %s",
		["Position: %d, %d"] = "Position : %d, %d",
		["Scroll areas"] = "Zones de défilement",
		["Options regarding scroll areas."] = "Options concernant les zones de défilement.",
		["Configuration mode"] = "Mode de configuration",
		["Enter configuration mode, allowing you to move around the scroll areas and see them in action."] = "Entre dans le mode de configuration, vous permettant de déplacer les zones de défilement et de les voir en action.",
		["New scroll area"] = "Nouvelle zone de défilement",
		["Add a new scroll area."] = "Ajoute une nouvelle zone de défilement",
		--new below (Missed locale,used enUS)
		["Center of screen"] = "Center of screen",
		["Edge of screen"] = "Center of screen",
		["Create"] = "Create",
		["Are you sure?"] = "Are you sure?",
		["Send"] = "Send",
	},
	["Parrot_Suppressions"] = {
		["New suppression"] = "Nouvelle suppression",
		["Edit"] = "Éditer",
		["Edit search string"] = "Édite le string à rechercher.",
		["<Any text> or <Lua search expression>"] = "<N'importe quel texte> ou <expression de recherche Lua>",
		["Lua search expression"] = "Expression de recherche Lua",
		["Whether the search string is a lua search expression or not."] = "Indique si le string à rechercher est une expression de recherche lua ou non.",
		["Remove"] = "Enlever",
		["Remove suppression"] = "Enlève la suppression.",
		["Suppressions"] = "Suppressions",
		["List of strings that will be squelched if found."] = "Liste des strings qui seront mis sous silence si trouvés.",
		["Add a new suppression."] = "Ajoute une nouvelle suppression.",
		--new below (Missed locale,used enUS)
		["Create"] = "Create",
	},
	["Parrot_Triggers"] = {
		["%s!"] = "%s !",
		["Low Health!"] = "Vie faible !",
		["Low Mana!"] = "Mana faible !",
		["Low Pet Health!"] = "Fam. Vie faible !",
		["Free %s!"] = "%s gratuit !",
		["Trigger cooldown"] = "Temps de recharge du déclencheur",
		["Check every XX seconds"] = "Vérifier toutes les XX secondes",
		["Triggers"] = "Déclencheurs",
		["New trigger"] = "Nouveau déclencheur",
		["Create a new trigger"] = "Créer un nouveau déclencheur",
		["Inherit"] = "Par héritage",
		["None"] = "Aucun",
		["Thin"] = "Fin",
		["Thick"] = "Épais",
		["Druid"] = "Druide",
		["Rogue"] = "Voleur",
		["Shaman"] = "Chaman",
		["Paladin"] = "Paladin",
		["Mage"] = "Mage",
		["Warlock"] = "Démoniste",
		["Priest"] = "Prêtre",
		["Warrior"] = "Guerrier",
		["Hunter"] = "Chasseur",
		["Output"] = "Sortie",
		["The text that is shown"] = "Détermine le texte à afficher.",
		['<Text to show>'] = "<Texte à afficher>",
		["Icon"] = "Icône",
		["The icon that is shown"] = "Détermine l'icône à afficher.",
		['<Spell name> or <Item name> or <Path> or <SpellId>'] = "<Nom du sort> ou <Nom de l'objet> ou <Chemin d'accès> ou <SpellId>",--need locale
		["Enabled"] = "Activé",
		["Whether the trigger is enabled or not."] = "Active ou non ce déclencheur.",
		["Remove trigger"] = "Enlever le déclencheur",
		["Remove this trigger completely."] = "Enlève complètement ce déclencheur.",
		["Color"] = "Couleur",
		["Color of the text for this trigger."] = "Détermine la couleur du texte de ce déclencheur.",
		["Sticky"] = "En évidence",
		["Whether to show this trigger as a sticky."] = "Affiche ou non ce déclencheur en évidence.",
		["Classes"] = "Classes",
		["Classes affected by this trigger."] = "Détermine les classes affectées par ce déclencheur.",
		["Scroll area"] = "Zone de défilement",
		["Which scroll area to output to."] = "Détermine la zone de défilement de la sortie.",
		["Sound"] = "Son",
		["What sound to play when the trigger is shown."] = "Détermine le son à jouer quand le déclencheur est affiché.",
		["Test"] = "Test",
		["Test how the trigger will look and act."] = "Teste la façon dont le déclencheur se présente et réagit.",
		["Custom font"] = "Police perso",
		["Font face"] = "Type de police",
		["Inherit font size"] = "Hériter de la taille de la police",
		["Font size"] = "Taille de la police",
		["Font outline"] = "Contour de la police",
		["Primary conditions"] = "Conditions primaires",
		["When any of these conditions apply, the secondary conditions are checked."] = "Quand n'importe laquelle de ces conditions s'appliquent, les conditions secondaires sont vérifiées",
		["New condition"] = "Nouvelle condition",
		["Add a new primary condition"] = "Ajouter une nouvelle condition primaire",
		["Remove condition"] = "Enlever la condition",
		["Remove a primary condition"] = "Enlève une condition primaire.",
		["Secondary conditions"] = "Conditions secondaires",
		["When all of these conditions apply, the trigger will be shown."] = "quand n'importe laquelle de ces conditions s'appliquent, le déclencheur est affiché.",
		["Add a new secondary condition"] = "Ajouter une nouvelle condition secondaire",
		["Remove a secondary condition"] = "Enlever une condition secondaire",
		--new below (Missed locale,used enUS)
		["Create"] = "Create",
		["Remove"] = "Remove",
		["Are you sure?"] = "Are you sure?",
	},
	["Parrot_AnimationStyles"] = {
		["Straight"] = "Droit/Direct",
		["Up, left-aligned"] = "Vers le haut, alignés à gauche",
		["Up, right-aligned"] = "Vers le haut, alignés à droite",
		["Up, center-aligned"] = "Vers le haut, alignés au centre",
		["Down, left-aligned"] = "Vers le bas, alignés à gauche",
		["Down, right-aligned"] = "Vers le bas, alignés à droite",
		["Down, center-aligned"] = "Vers le bas, alignés au centre",
		["Parabola"] = "Parabole",
		["Up, left"] = "Vers le haut, gauche",
		["Up, right"] = "Vers le haut, droite",
		["Up, alternating"] = "Vers le haut, alternant",
		["Down, left"] = "Vers le bas, gauche",
		["Down, right"] = "Vers le bas, droite",
		["Down, alternating"] = "Vers le bas, alternant",
		["Semicircle"] = "Demi-cercle",
		["Pow"] = "Pow",
		["Static"] = "Statique",
		["Rainbow"] = "Arc-en-ciel",
		["Horizontal"] = "Horizontal",
		["Left"] = "Gauche",
		["Right"] = "Droite",
		["Alternating"] = "Alternant",
		["Action"] = "Action",
		["Action Sticky"] = "Action en évidence",
		["Angled"] = "Angulaire",
		["Sprinkler"] = "Sprinkler",
		["Up, clockwise"] = "Vers le haut, sens des aiguilles d'une montre",
		["Down, clockwise"] = "Vers le bas, sens des aiguilles d'une montre",
		["Left, clockwise"] = "Gauche, sens des aiguilles d'une montre",
		["Right, clockwise"] = "Droite, sens des aiguilles d'une montre",
		["Up, counter-clockwise"] = "Vers le haut, sens inverse des aiguilles d'une montre",
		["Down, counter-clockwise"] = "Vers le bas, sens inverse des aiguilles d'une montre",
		["Left, counter-clockwise"] = "Gauche, sens inverse des aiguilles d'une montre",
		["Right, counter-clockwise"] = "Droite, sens inverse des aiguilles d'une montre",
	},
	["Parrot_Auras"] = {
		["Auras"] = "Auras",
		["Debuff gains"] = "Gain d'un débuff",
		["The name of the debuff gained."] = "Le nom du débuff gagné.",
		["Buff gains"] = "Gain d'un buff",
		["The name of the buff gained."] = "Le nom du buff gagné.",
		["Item buff gains"] = "Gain d'un buff d'objet",
		["The name of the item buff gained."] = "Le nom du buff d'objet gagné.",
		["The rank of the item buff gained."] = "Le rang du buff d'objet gagné.",
		["Debuff fades"] = "Disparition d'un débuff",
		["The name of the debuff lost."] = "Le nom du débuff perdu.",
		["Buff fades"] = "Disparition d'un buff",
		["The name of the buff lost."] = "Le nom du buff perdu.",
		["Item buff fades"] = "Disparition d'un buff d'objet",
		["The name of the item buff lost."] = "Le nom du buff d'objet perdu.",
		["The rank of the item buff lost."] = "Le rang du buff d'objet perdu.",
		["Self buff gain"] = "Gain d'un buff sur le joueur",
		["<Buff name>"] = "<nom du buff>",
		["Self buff fade"] = "Disparition d'un buff sur le joueur",
		["Self debuff gain"] = "Gain d'un débuff sur le joueur",
		["<Debuff name>"] = "<nom du débuff>",
		["Self debuff fade"] = "Disparition d'un débuff sur le joueur",
		["Self item buff gain"] = "Gain d'un buff d'objet sur le joueur",
		["<Item buff name>"] = "<nom du buff de l'objet>",
		["Self item buff fade"] = "Disparition d'un buff d'objet sur le joueur",
		["Target buff gain"] = "Gain d'un buff sur la cible",
		["Target debuff gain"] = "Gain d'un débuff sur la cible",
		["Buff inactive"] = "Buff inactif",
		["Buff active"] = "Buff actif",
	},
	["Parrot_CombatEvents_Data"] = {
		["Incoming damage"] = "Dégâts reçus",
		["Melee damage"] = "Dégâts en mêlée",
		["Melee"] = "Mêlée",
		["The name of the enemy that attacked you."] = "Le nom de l'ennemi qui vous a attaqué.",
		["The amount of damage done."] = "La quantité de dégâts infligés.",
		[" (%d hit, %d crit)"] = " (%d impact, %d crit)",
		[" (%d hit, %d crits)"] = " (%d impact, %d crits)",
		[" (%d hits, %d crit)"] = " (%d impacts, %d crit)",
		[" (%d hits, %d crits)"] = " (%d impacts, %d crits)",
		[" (%d crits)"] = " (%d crits)",
		[" (%d hits)"] = " (%d impacts)",
		["Multiple"] = "Multiple",
		["Melee misses"] = "Att. en mêlée ratées",
		["Miss!"] = "Rate !",
		["Melee dodges"] = "Att. en mêlée esquivées",
		["Dodge!"] = "Esquive !",
		["Melee parries"] = "Att. en mêlée parées",
		["Parry!"] = "Parade !",
		["Melee blocks"] = "Att. en mêlée bloquées",
		["Block!"] = "Blocage !",
		["Melee absorbs"] = "Att. en mêlée absorbées",
		["Absorb!"] = "Absorbe !",
		["Melee immunes"] = "Att. en mêlée sans effet",
		["Immune!"] = "Insensible !",
		["Melee evades"] = "Att. en mêlée évitées",
		["Evade!"] = "Evite !",
		["Skills"] = "Compétences",
		["Skill damage"] = "Dégâts des compétences",
		["The type of damage done."] = "Le type de dégâts infligés.",
		["The spell or ability that the enemy attacked you with."] = "Le sort ou la capacité avec lequel l'ennemi vous a attaqué.",
		["DoTs and HoTs"] = "DoTs et HoTs",
		["Skill DoTs"] = "Dégâts sur la durée",
		["Ability misses"] = "Capacités ratées",
		["Ability dodges"] = "Capacités esquivées",
		["Ability parries"] = "Capacités parées",
		["Ability blocks"] = "Capacités bloquées",
		["Spell resists"] = "Sorts résistés",
		["Resist!"] = "Résiste !",
		["Skill absorbs"] = "Compétences absorbées",
		["Skill immunes"] = "Compétences sans effet",
		["Skill reflects"] = "Compétences renvoyées",
		["Reflect!"] = "Renvoie !",
		["Skill interrupts"] = "Compétences interrompues",
		["Interrupt!"] = "Interrompu !",
		["Incoming heals"] = "Soins reçus",
		["Heals"] = "Soins",
		["The name of the ally that healed you."] = "Le nom de l'allié qui vous a soigné.",
		["The spell or ability that the ally healed you with."] = "Le sort ou la capacité avec lequel l'allié vous a soigné.",
		["The amount of healing done."] = "La quantité de soins prodigués.",
		[" (%d heal, %d crit)"] = " (%d soin, %d crit)",
		[" (%d heal, %d crits)"] = " (%d soin, %d crits)",
		[" (%d heals, %d crit)"] = " (%d soins, %d crit)",
		[" (%d heals, %d crits)"] = " (%d soins, %d crits)",
		[" (%d heals)"] = " (%d soins)",
		["Heals over time"] = "Soins sur la durée",
		["Environmental damage"] = "Dégâts de l'environnement",
		["Outgoing damage"] = "Dégâts infligés",
		["The name of the enemy you attacked."] = "Le nom de l'ennemi que vous avez attaqué.",
		["The spell or ability that you used."] = "Le sort ou la capacité que vous avez utilisé.",
		["Skill evades"] = "Compétences évitées",
		["Outgoing heals"] = "Soins prodigués",
		["The name of the ally you healed."] = "Le nom de l'allié que vous avez soigné.",
		["Pet melee"] = "Att. en mêlée du fam.",
		["Pet melee damage"] = "Dégâts en mêlée du fam.",
		["Pet [Amount]"] = "Fam. [Amount]",
		["(Pet) +[Amount]"] = "(Fam.) +[Amount]",
		["Pet heals"] = "Soins du familier",
		["The name of the enemy your pet attacked."] = "Le nom de l'ennemi que votre familier a attaqué.",
		["Pet melee misses"] = "(Fam.) Att. en mêlée ratés",
		["Pet Miss!"] = "Fam. Rate !",
		["Pet melee dodges"] = "(Fam.) Att. en mêlée esquivées",
		["Pet Dodge!"] = "Fam. Esquive !",
		["Pet melee parries"] = "(Fam.) Att. en mêlée parées",
		["Pet Parry!"] = "Fam. Parade !",
		["Pet melee blocks"] = "(Fam.) Att. en mêlée bloquées",
		["Pet Block!"] = "Fam. Blocage !",
		["Pet melee absorbs"] = "(Fam.) Att. en mêlée absorbées",
		["Pet Absorb!"] = "Fam. Absorbe !",
		["Pet melee immunes"] = "(Fam.) Att. en mêléesans effet",
		["Pet Immune!"] = "Fam. Insensible !",
		["Pet melee evades"] = "(Fam.) Att. en mêlée évitées",
		["Pet Evade!"] = "Fam. Evite !",
		["Pet skills"] = "(Fam.) Compétences",
		["Pet skill"] = "(Fam.) Compétence",
		["Pet skill damage"] = "(Fam.) Dégâts des compétences",
		["Pet [Amount] ([Skill])"] = "Fam. [Amount] ([Skill])",
		["The ability or spell your pet used."] = "La capacité ou le sort utilisé par votre familier.",
		["Pet ability misses"] = "(Fam.) Capacités ratées",
		["Pet ability dodges"] = "(Fam.) Capacités esquivées",
		["Pet ability parries"] = "(Fam.) Capacités parées",
		["Pet ability blocks"] = "(Fam.) Capacités. bloquées",
		["Pet spell resists"] = "(Fam.) Sorts résistés",
		["Pet Resist!"] = "Fam. Résiste !",
		["Pet skill absorbs"] = "(Fam.) Compétences absorbées",
		["Pet skill immunes"] = "(Fam.) Compétences sans effet",
		["Pet skill reflects"] = "(Fam.) Compétences renvoyées",
		["Pet Reflect!"] = "Fam. Renvoie !",
		["Pet skill evades"] = "(Fam.) Compétences évitées",
		["Combat status"] = "Statut du combat",
		["Enter combat"] = "Début du combat",
		["Leave combat"] = "Fin du combat",
		["Power gain/loss"] = "Gains/Pertes de puissance",
		["Power change"] = "Changement de puissance",
		["Power gain"] = "Gains de puissance",
		["+[Amount] [Type]"] = "+[Amount] [Type]",
		["The amount of power gained."] = "La quantité de puissance gagnée.",
		["The type of power gained (Mana, Rage, Energy)."] = "Le type de puissance gagné (Mana, rage ou énergie).",
		["The ability or spell used to gain power."] = "La capacité ou le sort utilisé pour gagner de la puissance.",
		["The character that the power comes from."] = "Le personnage à l'origine du gain de puissance.",
		[" (%d gains)"] = " (%d gains)",
		["Power loss"] = "Pertes de puissance",
		["-[Amount] [Type]"] = "-[Amount] [Type]",
		["The amount of power lost."] = "La quantité de puissance perdue.",
		["The type of power lost (Mana, Rage, Energy)."] = "Le type de puissance perdue (Mana, rage ou énergie).",
		["The ability or spell take away your power."] = "La capacité ou le sort qui a pris votre puissance.",
		["The character that caused the power loss."] = "Le personnage à l'origine de la perte de puissance.",
		[" (%d losses)"] = " (%d perdus)",
		["Combo points"] = "Points de combo",
		["Combo point gain"] = "Gains de point de combo",
		["[Num] CP"] = "[Num] PC",
		["The current number of combo points."] = "Le nombre actuel de points de combo.",
		["Combo points full"] = "Points de combo au max.",
		["[Num] CP Finish It!"] = "[Num] PC - Finis-le !",
		["Honor gains"] = "Gains d'honneur",
		["The amount of honor gained."] = "La quantité d'honneur gagnée.",
		["The name of the enemy slain."] = "Le nom de l'ennemi tué.",
		["The rank of the enemy slain."] = "Le rang de l'ennemi tué.",
		["Reputation"] = "Réputation",
		["Reputation gains"] = "Gains de réputation",
		["The amount of reputation gained."] = "La quantité de points de réputation gagnée.",
		["The name of the faction."] = "Le nom de la faction.",
		["Reputation losses"] = "Pertes de réputation",
		["The amount of reputation lost."] = "La quantité de points de réputation perdue.",
		["Skill gains"] = "Gains de compétence",
		["The skill which experienced a gain."] = "La compétence qu",
		["The amount of skill points currently."] = "Le nombre actuel de points de compétence.",
		["Experience gains"] = "Gains d'expérience",
		["The name of the enemy slain."] = "Le nom de l'ennemi tué.",
		["The amount of experience points gained."] = "Le nombre de points d'expérience gagnés.",
		["Killing blows"] = "Coups fatals",
		["Player killing blows"] = "Coups fatals joueur",
		["Killing Blow!"] = "Coup fatal !",
		["The spell or ability used to slay the enemy."] = "Le sort ou la capacité utilisé pour tuer l'ennemi.",
		["NPC killing blows"] = "Coups fatals PNJ",
		["Soul shard gains"] = "Gains de fragment d'âme",
		["The name of the soul shard."] = "Le nom du fragment d'âme.",
		["Extra attacks"] = "Attaques supplémentaires",
		["%s!"] = "%s !",
		["The name of the spell or ability which provided the extra attacks."] = "Le nom du sort ou de la capacité qui enclenchent les attaques supplémentaires.",
		--new below (Missed locale,used enUS)
		["Self heals"] = "Self heals",
		["Self heals over time"] = "Self heals over time",
		["Pet skill DoTs"] = "Pet skill DoTs",
		["Skill you were interrupted in casting"] = "Skill you were interrupted in casting",
		["The spell you interrupted"] = "The spell you interrupted",
	},
	["Parrot_Cooldowns"] = {
		["Cooldowns"] = "Temps de recharge",
		["Skill cooldown finish"] = "fin du temps de recharge de la compétence",
		["[[Skill] ready!]"] = "[[Skill] prêt !]",
		["The name of the spell or ability which is ready to be used."] = "Le nom du sort ou de la capacité qui est prête à être utilisée.",
		["Traps"] = "Pièges",
		["Shocks"] = "Horions",
		["Divine Shield"] = "Bouclier divin",
		["%s Tree"] = "Arbre %s",
		["Spell ready"] = "Sort prêt",
		["<Spell name>"] = "<Nom du sort>",
	},
	["Parrot_Loot"] = {
		["Loot"] = "Butin",
		["Loot items"] = "Objets du butin",
		["Loot [Name] +[Amount]([Total])"] = "Butin : [Name] +[Amount]([Total])",
		["The name of the item."] = "Le nom de l'objet.",
		["The amount of items looted."] = "La quantité d'objets ramassés.",
		["The total amount of items in inventory."] = "Le nombre total des objets dans l'inventaire.",
		["Loot money"] = "Argent du butin",
		["Loot +[Amount]"] = "Butin : +[Amount]",
		["The amount of gold looted."] = "La quantité d'or ramassé.",
	},
	["Parrot_TriggerConditions_Data"] = {
		["Enemy target health percent"] = "Pourcentage de vie de la cible ennemie",
		["Friendly target health percent"] = "Pourcentage de vie de la cible amie",
		["Self health percent"] = "Pourcentage de vie du joueur",
		["Self mana percent"] = "Pourcentage de mana du joueur",
		["Pet health percent"] = "Pourcentage de vie du fam.",
		["Incoming block"] = "Blocage de la cible",
		["Incoming crit"] = "Critique de la cible",
		["Incoming dodge"] = "Esquive de la cible",
		["Incoming parry"] = "Parade de la cible",
		["Outgoing block"] = "Blocage du joueur",
		["Outgoing crit"] = "Critique du joueur",
		["Outgoing dodge"] = "Esquive du joueur",
		["Outgoing parry"] = "Parade du joueur",
		["Outgoing cast"] = "Incantation du joueur",
		["<Skill name>"] = "<Nom de la compétence>",
		["Incoming cast"] = "Incantation de la cible",
		["Minimum power amount"] = "Quantité minimale de puissance",
		["Warrior stance"] = "Posture du guerrier",
		["Not in warrior stance"] = "Pas en posture du guerrier",
		["Battle Stance"] = "Posture de combat",
		["Defensive Stance"] = "Posture défensive",
		["Berserker Stance"] = "Posture berserker",
	},
	["Parrot_CombatStatus"] = {
		["Combat status"] = "Statut du combat",
		["Enter combat"] = "Début du combat",
		["+Combat"] = "+Combat",
		["Leave combat"] = "Fin du combat",
		["-Combat"] = "-Combat",
		["In combat"] = "En combat",
		["Not in combat"] = "Pas en combat",
	},
}end

----------------------------------
--            Translate End            --
----------------------------------

do
	local localeTablesWithMeta = {}
	local locale = GetLocale()

	function Parrot:L(name, defaultTable)
		if not localeTablesWithMeta[name] then
			localeTablesWithMeta[name] = setmetatable(
				localeTables[name] or defaultTable or {},
				{__index = function(self, key)
					if locale ~= 'enUS' and locale ~= 'enGB' and locale ~='deDE' then
						geterrorhandler()(("Missing %s translation for %q in %q"):format(locale, key, name))
					end 
					self[key] = key
					return key
				end}
			)
		end
		return localeTablesWithMeta[name]
	end
end

local L = Parrot:L("Parrot")

local SharedMedia = Rock("LibSharedMedia-3.0")

local newList, unpackListAndDel = Rock:GetRecyclingFunctions("Parrot", "newList", "unpackListAndDel")

Parrot:SetDatabase("ParrotDB")
Parrot:SetDatabaseDefaults('profile', {
	gameDamage = false,
	gameHealing = false,
})

function Parrot:OnInitialize()
	self:SetConfigSlashCommand("/Parrot", "/Par")

	if not self.db.account.firstTimeWoW21 then
		self.db.account.firstTimeWoW21 = true
		SetCVar("scriptErrors", "1")
	end
end

function Parrot.inheritFontChoices()
	local t = newList()
	for _,v in ipairs(SharedMedia:List('font')) do
		t[#t+1] = v
	end
	table.sort(t)
	table.insert(t, 1, L["Inherit"])
	return "@list", unpackListAndDel(t)
end
function Parrot:OnEnable()
	_G.SHOW_COMBAT_TEXT = "0"
	if type(_G.CombatText_UpdateDisplayedMessages) == "function" then
	   _G.CombatText_UpdateDisplayedMessages()
	end

	if _G.CombatText_OnEvent then
		self:AddHook("CombatText_OnEvent", function()
			_G.SHOW_COMBAT_TEXT = "0"
			if type(_G.CombatText_UpdateDisplayedMessages) == "function" then
			   _G.CombatText_UpdateDisplayedMessages()
			end
		end)
	end

	SetCVar("CombatDamage", self.db.profile.gameDamage and "1" or "0")
	SetCVar("CombatHealing", self.db.profile.gameHealing and "1" or "0")

	SetCVar("CombatLogPeriodicSpells", 1)
	SetCVar("PetMeleeDamage", 1)

	for name, module in self:IterateModules() do
		self:ToggleModuleActive(module, true)
	end
end
function Parrot:OnDisable()
	SetCVar("CombatDamage", "1")
	SetCVar("CombatHealing", "1")
	_G.SHOW_COMBAT_TEXT = "1"

	for name, module in self:IterateModules() do
		self:ToggleModuleActive(module, false)
	end
end
function Parrot:OnProfileEnable()
	if self:IsActive() then
		self:ToggleActive(false)
		self:ToggleActive(true)
	end
end

local function initOptions()
	Parrot:OnOptionsCreate()

	for k, v in Parrot:IterateModules() do
		if type(v.OnOptionsCreate) == "function" then
			v:OnOptionsCreate()
		end
	end
end

function Parrot:OnOptionsCreate()
	self:AddOption('general', {
		type = 'group',
		name = L["General"],
		desc = L["General settings"],
		disabled = function()
			return not self:IsActive()
		end,
		args = {
			gameDamage = {
				type = 'boolean',
				name = L["Game damage"],
				desc = L["Whether to show damage over the enemy's heads."],
				get = function()
					return Parrot.db.profile.gameDamage
				end,
				set = function(value)
					Parrot.db.profile.gameDamage = value
					SetCVar("CombatDamage", value and "1" or "0")
				end,
			},
			gameHealing = {
				type = 'boolean',
				name = L["Game healing"],
				desc = L["Whether to show healing over the enemy's heads."],
				get = function()
					return Parrot.db.profile.gameHealing
				end,
				set = function(value)
					Parrot.db.profile.gameHealing = value
					SetCVar("CombatHealing", value and "1" or "0")
				end,
			},
		}
	})
end

local addedOptions
function Parrot:AddOption(key, table)
	addedOptions[key] = table
end

Parrot.options = {
	name = L["Parrot"],
	desc = L["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."],
	type = 'group',
	icon = [[Interface\Icons\Spell_Nature_ForceOfNature]],
	args = function()
		addedOptions = {}
		Parrot.addedOptions = addedOptions
		initOptions()
		Parrot.addedOptions = nil
		local tmp = addedOptions
		addedOptions = nil
		return "@cache", tmp
	end,
}

Parrot:SetConfigTable(Parrot.options)
